Modal

Vue Bootstrap 5 Modal component

Use MDB modal plugin to add dialogs to your site for lightboxes, user notifications, or completely custom content.

Note: Read the API tab to find all available options and advanced customization


Basic example

Click the button to launch the modal.

        
            
            <template>
              <!-- Button trigger modal -->
              <MDBBtn 
                color="primary" 
                aria-controls="exampleModal" 
                @click="exampleModal=true"
              >
                Launch demo modal
              </MDBBtn>
              <MDBModal
                id="exampleModal"
                tabindex="-1"
                labelledby="exampleModalLabel"
                v-model="exampleModal"
              >
                <MDBModalHeader>
                  <MDBModalTitle id="exampleModalLabel"> Modal title </MDBModalTitle>
                </MDBModalHeader>
                <MDBModalBody>...</MDBModalBody>
                <MDBModalFooter>
                  <MDBBtn color="secondary" @click="exampleModal = false">Close</MDBBtn>
                  <MDBBtn color="primary">Save changes</MDBBtn>
                </MDBModalFooter>
              </MDBModal>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBModal,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
                MDBBtn,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              export default {
                components: {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn,
                },
                setup() {
                  const exampleModal = ref(false);
                  return {
                    exampleModal,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBModal,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
                MDBBtn,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const exampleModal = ref(false);
            </script>
          
        
    

Advanced examples

Click the buttons to launch the modals.

Frame modal

MDB graphics

Position


Side modal

MDB graphics

Position




Central modal

MDB graphics

Size






How it works

Before getting started with MDB modal component, be sure to read the following as our menu options have recently changed.

  • Modals are positioned over everything else in the document and remove scroll from the <body> so that modal content scrolls instead.
  • Clicking on the modal “backdrop” will automatically close the modal.
  • Bootstrap only supports one modal window at a time. Nested modals aren’t supported as we believe them to be poor user experiences.
  • Modals use position: fixed, which can sometimes be a bit particular about its rendering. Whenever possible, place your modal HTML in a top-level position to avoid potential interference from other elements. You’ll likely run into issues when nesting a MDBModal within another fixed element.
  • Once again, due to position: fixed, there are some caveats with using modals on mobile devices.
  • Due to how HTML5 defines its semantics, the autofocus HTML attribute has no effect in Bootstrap modals. To achieve the same effect, use some custom JavaScript:
        
            
            <template>
              <MDBModal v-on:shown="setFocus" v-model="show">
                <MDBModalBody>
                  <MDBInput id="myInput" />
                </MDBModalBody>
              </MDBModal>
              <MDBBtn @click="show = true">Open modal</MDBBtn>
            </template>
          
        
    
        
            
            <script>
              import { MDBModal, MDBModalBody, MDBInput, MDBBtn } from 'mdb-vue-ui-kit';
              import { ref } from 'vue'

              export default {
                components: {
                  MDBModal,
                  MDBModalBody,
                  MDBInput,
                  MDBBtn,
                },
                setup() {
                  const setFocus = () => {
                    const myInput = document.getElementById('myInput');
                    myInput.focus();
                  }
                  const show = ref(false);
                  return {
                    setFocus,
                    show,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBModal, MDBModalBody, MDBInput, MDBBtn } from 'mdb-vue-ui-kit';
              import { ref } from 'vue'

              const setFocus = () => {
                const myInput = document.getElementById('myInput') as HTMLInputElement;
                myInput.focus();
              }
              const show = ref(false);
            </script>
          
        
    

Modal components

Below is a static MDBModal example (meaning its position and display have been overridden). Included are the MDBModalHeader, MDBModalBody (required for padding), and MDBModalFooter (optional). MDBModalHeader is by default included with dismiss action button. You can also provide another explicit dismiss action, e.g. inside MDBModalFooter component.

        
            
            <template>
              <MDBModal
                tabindex="-1"
                style="position: static; display: block; height: auto"
                :modelValue="true"
                removeBackdrop
                :keyboard="false"
                :focus="false"
              >
                <MDBModalHeader>
                  <MDBModalTitle>Modal title</MDBModalTitle>
                </MDBModalHeader>
                <MDBModalBody>
                  <p>Modal body text goes here.</p>
                </MDBModalBody>
                <MDBModalFooter>
                  <MDBBtn color="secondary"> Close </MDBBtn>
                  <MDBBtn color="primary"> Save changes </MDBBtn>
                </MDBModalFooter>
              </MDBModal>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBModal,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
                MDBBtn,
              } from 'mdb-vue-ui-kit';
              export default {
                components: {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBModal,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
                MDBBtn,
              } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Position

To change the position of the modal add one of the following properties to the MDBModal

Top right: side + position="top-right"

Top left: side + position="top-left"

Bottom right: side + position="bottom-right"

Bottom left: side + position="bottom-right"

Note: If you want to change the direction of modal animation, add position="top | right | bottom | left" property to the MDBModal.

        
            
              <template>
                <!-- Button trigger modal -->
                <MDBBtn
                  color="primary"
                  aria-controls="exampleSideModal1"
                  @click="exampleSideModal1 = true"
                  class="mb-2"
                >
                  Top right
                </MDBBtn>
                <!-- Modal example - top right -->
                <MDBModal
                  side
                  position="top-right"
                  direction="right"
                  id="exampleSideModal1"
                  tabindex="-1"
                  labelledby="exampleSideModalLabel1"
                  v-model="exampleSideModal1"
                >
                  <MDBModalHeader color="info" class="text-white">
                    <MDBModalTitle id="exampleSideModalLabel1"> Product in the cart </MDBModalTitle>
                  </MDBModalHeader>
                  <MDBModalBody>
                    <MDBRow>
                      <MDBCol col="3" class="text-center">
                        <i class="fas fa-shopping-cart fa-4x text-info"></i>
                      </MDBCol>
                      <MDBCol col="9">
                        <p>Do you need more time to make a purchase decision?</p>
                        <p>No pressure, your product will be waiting for you in the cart.</p>
                      </MDBCol>
                    </MDBRow>
                  </MDBModalBody>
                  <MDBModalFooter>
                    <MDBBtn color="info"> Go to the cart </MDBBtn>
                    <MDBBtn color="outline-info" @click="exampleSideModal1 = false"> Close </MDBBtn>
                  </MDBModalFooter>
                </MDBModal>
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn,
                  MDBRow,
                  MDBCol,
                } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';
                export default {
                  components: {
                    MDBModal,
                    MDBModalHeader,
                    MDBModalTitle,
                    MDBModalBody,
                    MDBModalFooter,
                    MDBBtn,
                    MDBRow,
                    MDBCol,
                  },
                  setup() {
                    const exampleSideModal1 = ref(false);
                    return {
                      exampleSideModal1,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn,
                  MDBRow,
                  MDBCol,
                } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                const exampleSideModal1 = ref(false);
              </script>
            
        
    

Frame

To make the modal "frame-like" add frame property to the MDBModal element. You also need to specify the position property with bottom or top values.

        
            
              <template>
                <!-- Button trigger modal -->
                <MDBBtn
                  color="primary"
                  aria-controls="exampleFrameModal1"
                  @click="exampleFrameModal1 = true"
                  class="mb-2"
                >
                  Top
                </MDBBtn>
                <!-- Modal frame top example -->
                <MDBModal
                  frame
                  position="top"
                  id="exampleFrameModal1"
                  tabindex="-1"
                  labelledby="exampleFrameModal1"
                  v-model="exampleFrameModal1"
                >
                  <MDBModalBody class="py-1">
                    <div class="d-flex justify-content-center align-items-center my-3">
                      <h4>
                        <MDBBadge color="primary">v52gs1</MDBBadge>
                      </h4>
                      <p class="pt-3 mx-4">
                        We have a gift for you! Use this code to get a
                        <strong>10% discount</strong>.
                      </p>
                      <MDBBtn color="primary" size="sm" class="ms-2"> Use it </MDBBtn>
                      <MDBBtn color="info" size="sm" @click="exampleFrameModal1 = false">
                        No, thanks
                      </MDBBtn>
                    </div>
                  </MDBModalBody>
                </MDBModal>
                <!-- Modal frame top example-->
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBModal,
                  MDBModalBody,
                  MDBBtn,
                  MDBBadge
                } from "mdb-vue-ui-kit";
                import { ref } from 'vue';
                export default {
                  components: {
                    MDBModal,
                    MDBModalBody,
                    MDBBtn,
                    MDBBadge
                  },
                  setup() {
                    const exampleFrameModal1 = ref(false);
                    return {
                      exampleFrameModal1
                    }
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBModal,
                  MDBModalBody,
                  MDBBtn,
                  MDBBadge
                } from "mdb-vue-ui-kit";
                import { ref } from 'vue';

                const exampleFrameModal1 = ref(false);
              </script>
            
        
    

Static backdrop

When staticBackdrop property is added to MDBModal, the modal will not close when clicking outside it. Click the button below to try it.

        
            
            <template>
              <!-- Button trigger modal -->
              <MDBBtn
                color="primary"
                aria-controls="staticBackdropLabel"
                @click="staticBackdrop = true"
              >
                Launch static backdrop modal
              </MDBBtn>
              <!-- Modal -->
              <MDBModal
                id="staticBackdrop"
                tabindex="-1"
                labelledby="staticBackdropLabel"
                v-model="staticBackdrop"
                staticBackdrop
              >
                <MDBModalHeader>
                  <MDBModalTitle id="staticBackdropLabel"> Modal title </MDBModalTitle>
                </MDBModalHeader>
                <MDBModalBody>...</MDBModalBody>
                <MDBModalFooter>
                  <MDBBtn color="secondary" @click="staticBackdrop = false"> Close </MDBBtn>
                  <MDBBtn color="primary"> Understood </MDBBtn>
                </MDBModalFooter>
              </MDBModal>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBModal,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
                MDBBtn,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              export default {
                components: {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn,
                },
                setup() {
                  const staticBackdrop = ref(false);
                  return {
                    staticBackdrop,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBModal,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
                MDBBtn,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const staticBackdrop = ref(false);
            </script>
          
        
    

Scrolling long content

When modals become too long for the user’s viewport or device, they scroll independent of the page itself. Try the demo below to see what we mean.

You can also create a scrollable modal that allows scroll the modal body by adding scrollable property to MDBModal.

        
            
            <template>
              <MDBBtn
                color="primary"
                aria-controls="exampleModalLongTitle"
                @click="exampleModalLong = true"
              >
                Launch demo modal
              </MDBBtn>
              <MDBModal
                class="modal fade"
                id="exampleModalLong"
                tabindex="-1"
                labelledby="exampleModalLongTitle"
                v-model="exampleModalLong"
              >
                <MDBModalHeader>
                  <MDBModalTitle id="exampleModalLongTitle"> Modal title </MDBModalTitle>
                </MDBModalHeader>
                <MDBModalBody> ... long body </MDBModalBody>
                <MDBModalFooter>
                  <MDBBtn color="secondary" @click="exampleModalLong = false"> Close </MDBBtn>
                  <MDBBtn color="primary"> Save changes </MDBBtn>
                </MDBModalFooter>
              </MDBModal>
              <MDBBtn
                color="primary"
                aria-controls="exampleModalScrollableTitle"
                @click="exampleModalScrollable = true"
              >
                Launch demo modal
              </MDBBtn>
              <MDBModal
                id="exampleModalScrollable"
                tabindex="-1"
                labelledby="exampleModalScrollableTitle"
                v-model="exampleModalScrollable"
                scrollable
              >
                <MDBModalHeader>
                  <MDBModalTitle id="exampleModalScrollableTitle"> Modal title </MDBModalTitle>
                </MDBModalHeader>
                <MDBModalBody> ... long content </MDBModalBody>
                <MDBModalFooter>
                  <MDBBtn color="secondary" @click="exampleModalScrollable = false"> Close </MDBBtn>
                  <MDBBtn color="primary"> Save changes </MDBBtn>
                </MDBModalFooter>
              </MDBModal>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBModal,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
                MDBBtn,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              export default {
                components: {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn,
                },
                setup() {
                  const exampleModalLong = ref(false);
                  const exampleModalScrollable = ref(false);
                  return {
                    exampleModalScrollable,
                    exampleModalLong,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBModal,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
                MDBBtn,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const exampleModalLong = ref(false);
              const exampleModalScrollable = ref(false);
            </script>
          
        
    

Vertically centered

Add centered to MDBModal to vertically center the modal.

        
            
            <template>
              <MDBBtn
                color="primary"
                aria-controls="exampleModalCenter"
                @click="exampleModalCenter = true"
              >
                Vertically centered modal
              </MDBBtn>
              <MDBModal
                id="exampleModalCenter"
                tabindex="-1"
                labelledby="exampleModalCenterTitle"
                v-model="exampleModalCenter"
                centered
              >
                <MDBModalHeader>
                  <MDBModalTitle id="exampleModalCenterTitle"> Modal title </MDBModalTitle>
                </MDBModalHeader>
                <MDBModalBody>
                  <p>
                    Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac
                    facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac,
                    vestibulum at eros.
                  </p>
                </MDBModalBody>
                <MDBModalFooter>
                  <MDBBtn color="secondary" @click="exampleModalCenter = false"> Close </MDBBtn>
                  <MDBBtn color="primary"> Save changes </MDBBtn>
                </MDBModalFooter>
              </MDBModal>
              <MDBBtn
                color="primary"
                aria-controls="exampleModalCenteredScrollable"
                @click="exampleModalCenteredScrollable = true"
              >
                Vertically centered scrollable modal
              </MDBBtn>
              <MDBModal
                id="exampleModalCenteredScrollable"
                tabindex="-1"
                labelledby="exampleModalCenteredScrollableTitle"
                v-model="exampleModalCenteredScrollable"
                centered
                scrollable
              >
                <MDBModalHeader>
                  <MDBModalTitle id="exampleModalCenteredScrollableTitle">
                    Modal title
                  </MDBModalTitle>
                </MDBModalHeader>
                <MDBModalBody> ... long content </MDBModalBody>
                <MDBModalFooter>
                  <MDBBtn color="secondary" @click="exampleModalCenteredScrollable = false">
                    Close
                  </MDBBtn>
                  <MDBBtn color="primary"> Save changes </MDBBtn>
                </MDBModalFooter>
              </MDBModal>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBModal,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
                MDBBtn,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              export default {
                components: {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn,
                },
                setup() {
                  const exampleModalCenteredScrollable = ref(false);
                  return {
                    exampleModalCenteredScrollable,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBModal,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
                MDBBtn,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const exampleModalCenteredScrollable = ref(false);
            </script>
          
        
    

Tooltips and popovers

Tooltips and popovers can be placed within modals as needed. You can add function on hide event to manually close any opened popover or tooltip when closing modal.

        
            
            <template>
              <MDBBtn
                color="primary"
                aria-controls="exampleModalPopovers"
                @click="exampleModalPopovers = true"
              >
                Launch demo modal
              </MDBBtn>
              <MDBModal
                id="exampleModalPopovers"
                tabindex="-1"
                labelledby="exampleModalPopoversLabel"
                v-model="exampleModalPopovers"
                @hide="
                  () => {
                    popover1 = false;
                    tooltip1 = false;
                  }
                "
              >
                <MDBModalHeader>
                  <MDBModalTitle id="exampleModalPopoversLabel"> Modal title </MDBModalTitle>
                </MDBModalHeader>
                <MDBModalBody>
                  <h5>Popover in a modal</h5>
                  <p>
                    This
                    <MDBPopover v-model="popover1" direction="right">
                      <template #reference>
                        <MDBBtn color="secondary" size="lg" @click="popover1 = !popover1"
                          >button</MDBBtn
                        >
                      </template>
                      <template #header>Popover title</template>
                      <template #body>Popover body content is set in this attribute.</template>
                    </MDBPopover>
                    triggers a popover on click.
                  </p>
                  <hr />
                  <h5>Tooltips in a modal</h5>
                  <p>
                    <MDBTooltip v-model="tooltip1">
                      <template #reference><a href="#">This link</a></template>
                      <template #tip> Tooltip </template>
                    </MDBTooltip>
                    and
                    <MDBTooltip v-model="tooltip2">
                      <template #reference><a href="#">that link</a></template>
                      <template #tip> Tooltip </template>
                    </MDBTooltip>
                    have tooltips on hover.
                  </p></MDBModalBody
                >
                <MDBModalFooter>
                  <MDBBtn color="secondary" @click="exampleModalPopovers = false"> Close </MDBBtn>
                  <MDBBtn color="primary"> Save changes </MDBBtn>
                </MDBModalFooter>
              </MDBModal>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBModal,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
                MDBBtn,
                MDBPopover,
                MDBTooltip,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              export default {
                components: {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn,
                  MDBPopover,
                  MDBTooltip,
                },
                setup() {
                  const exampleModalPopovers = ref(false);
                  const popover1 = ref(false);
                  const tooltip1 = ref(false);
                  const tooltip2 = ref(false);
                  return {
                    exampleModalPopovers,
                    popover1,
                    tooltip1,
                    tooltip2,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBModal,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
                MDBBtn,
                MDBPopover,
                MDBTooltip,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const exampleModalPopovers = ref(false);
              const popover1 = ref(false);
              const tooltip1 = ref(false);
              const tooltip2 = ref(false);
            </script>
          
        
    

Using the grid

Utilize the Bootstrap grid system within a modal by nesting MDBContainer fluid{ within the MDBModalBody{. Then, use the normal grid system properties/classes as you would anywhere else.

        
            
            <template>
              <MDBBtn color="primary" aria-controls="gridSystemModal" @click="gridSystemModal = true">
                Launch demo modal
              </MDBBtn>
              <MDBModal
                id="gridSystemModal"
                tabindex="-1"
                labelledby="gridModalLabel"
                v-model="gridSystemModal"
              >
                <MDBModalHeader>
                  <MDBModalTitle id="gridModalLabel"> Grids in modals </MDBModalTitle>
                </MDBModalHeader>
                <MDBModalBody>
                  <MDBContainer fluid class="bd-example-row">
                    <MDBRow>
                      <MDBCol md="4" class="col-example">md="4"</MDBCol>
                      <MDBCol md="4" class="ms-auto col-example"> md="4" .ms-auto </MDBCol>
                    </MDBRow>
                    <MDBRow>
                      <MDBCol md="3" class="ms-auto col-example"> md="3" .ms-auto </MDBCol>
                      <MDBCol md="2" class="ms-auto col-example"> md="2" .ms-auto </MDBCol>
                    </MDBRow>
                    <MDBRow>
                      <MDBCol md="6" class="ms-auto col-example"> md="6" .ms-auto </MDBCol>
                    </MDBRow>
                    <MDBRow>
                      <MDBCol sm="9" class="col-example">
                        Level 1: sm="9"
                        <MDBRow>
                          <MDBCol col="8" sm="6" class="col-example">
                            Level 2: col="8" sm="6"
                          </MDBCol>
                          <MDBCol col="4" sm="6" class="col-example">
                            Level 2: col="4" sm="6"
                          </MDBCol>
                        </MDBRow>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </MDBModalBody>
                <MDBModalFooter>
                  <MDBBtn color="secondary" @click="gridSystemModal = false"> Close </MDBBtn>
                  <MDBBtn color="primary"> Save changes </MDBBtn>
                </MDBModalFooter>
              </MDBModal>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBModal,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
                MDBBtn,
                MDBRow,
                MDBCol,
                MDBContainer
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              export default {
                components: {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn,
                  MDBRow,
                  MDBCol,
                  MDBContainer
                },
                setup() {
                  const gridSystemModal = ref(false);
                  return {
                    gridSystemModal,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBModal,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
                MDBBtn,
                MDBRow,
                MDBCol,
                MDBContainer
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const gridSystemModal = ref(false);
            </script>
          
        
    

Varying modal content

Have a bunch of buttons that all trigger the same modal with slightly different contents? Use Vue refs to vary the contents of the modal depending on which button was clicked.

Below is a live demo followed by example Vue template and script.

        
            
            <template>
              <MDBBtn
                color="primary"
                aria-controls="varyingExampleModal"
                @click="
                  () => {
                    modalContent = '@mdo';
                    varyingExampleModal = true;
                  }
                "
              >
                Open modal for @mdo
              </MDBBtn>
              <MDBBtn
                color="primary"
                aria-controls="varyingExampleModal"
                @click="
                  () => {
                    modalContent = '@fat';
                    varyingExampleModal = true;
                  }
                "
              >
                Open modal for @fat
              </MDBBtn>
              <MDBBtn
                color="primary"
                aria-controls="varyingExampleModal"
                @click="
                  () => {
                    modalContent = '@getbootstrap';
                    varyingExampleModal = true;
                  }
                "
              >
                Open modal for @getbootstrap
              </MDBBtn>
              <MDBModal
                id="varyingExampleModal"
                tabindex="-1"
                labelledby="varyingExampleModalLabel"
                v-model="varyingExampleModal"
              >
                <MDBModalHeader>
                  <MDBModalTitle id="varyingExampleModalLabel"> New message </MDBModalTitle>
                </MDBModalHeader>
                <MDBModalBody>
                  <form>
                    <div class="mb-3">
                      <label for="recipient-name" class="col-form-label">Recipient: </label>
                      <input
                        type="text"
                        class="form-control"
                        id="recipient-name"
                        :value="modalContent"
                      />
                    </div>
                    <div class="mb-3">
                      <label for="message-text" class="col-form-label">Message:</label>
                      <textarea class="form-control" id="message-text"></textarea>
                    </div>
                  </form>
                </MDBModalBody>
                <MDBModalFooter>
                  <MDBBtn color="secondary" @click="varyingExampleModal = false"> Close </MDBBtn>
                  <MDBBtn color="primary"> Send message </MDBBtn>
                </MDBModalFooter>
              </MDBModal>
            </template>
          
        
    
        
            
            <script>
              import { MDBModal, MDBModalHeader, MDBModalTitle, MDBModalBody, MDBModalFooter, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn
                },
                setup() {
                  const varyingExampleModal = ref(false);
                  const modalContent = ref('');
                  return {
                    varyingExampleModal,
                    modalContent,
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBModal, MDBModalHeader, MDBModalTitle, MDBModalBody, MDBModalFooter, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const varyingExampleModal = ref(false);
              const modalContent = ref('');
            </script>
          
        
    

Toggle between modals

Toggle between multiple modals with some clever placement of the data-mdb-target and data-mdb-toggle attributes. For example, you could toggle a password reset modal from within an already open sign in modal. Please note multiple modals cannot be open at the same time—this method simply toggles between two separate modals.

Below is a live demo followed by example HTML and JavaScript. For more information, read the modal API/events doc for details on relatedTarget.

Open first modal
        
            
            <template>
              <MDBBtn color="primary" @click="exampleModalToggle1 = true">Open first modal</MDBBtn>
        
              <MDBModal id="exampleModalToggle1" tabindex="-1" labelledby="exampleModalToggle1Label" v-model="exampleModalToggle1">
                <MDBModalHeader>
                  <MDBModalTitle id="exampleModalToggle1Label">
                    Modal 1</MDBModalTitle>
                </MDBModalHeader>
                <MDBModalBody>Show a second modal and hide this one with the button
                  below.</MDBModalBody>
                <MDBModalFooter>
                  <MDBBtn color="primary" @click="openSecondModal">Open second modal</MDBBtn>
                </MDBModalFooter>
              </MDBModal>
        
              <MDBModal id="exampleModalToggle2" tabindex="-1" labelledby="exampleModalToggle2Label" v-model="exampleModalToggle2">
                <MDBModalHeader>
                  <MDBModalTitle id="exampleModalToggle2Label">
                    Modal 1</MDBModalTitle>
                </MDBModalHeader>
                <MDBModalBody>Hide this modal and show the first with the button
                  below.</MDBModalBody>
                <MDBModalFooter>
                  <MDBBtn color="primary" @click="openFirstModal">Back to first</MDBBtn>
                </MDBModalFooter>
              </MDBModal>
            </template>
          
        
    
        
            
            <script>
              import { MDBModal, MDBModalHeader, MDBModalTitle, MDBModalBody, MDBModalFooter, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn
                },
                setup() {
                  const exampleModalToggle1 = ref(false);
                  const exampleModalToggle2 = ref(false);
                  const openSecondModal = () => {
                    exampleModalToggle1.value = false;
                    setTimeout(() => {
                      exampleModalToggle2.value = true;
                    }, 200);
                  };
                  const openFirstModal = () => {
                    exampleModalToggle2.value = false;
                    setTimeout(() => {
                      exampleModalToggle1.value = true;
                    }, 200);
                  };
                  return {
                    exampleModalToggle1,
                    exampleModalToggle2,
                    openSecondModal,
                    openFirstModal
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBModal, MDBModalHeader, MDBModalTitle, MDBModalBody, MDBModalFooter, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const exampleModalToggle1 = ref(false);
              const exampleModalToggle2 = ref(false);
              const openSecondModal = () => {
                exampleModalToggle1.value = false;
                setTimeout(() => {
                  exampleModalToggle2.value = true;
                }, 200);
              };
              const openFirstModal = () => {
                exampleModalToggle2.value = false;
                setTimeout(() => {
                  exampleModalToggle1.value = true;
                }, 200);
              };
            </script>
          
        
    

Change animation

The $modal-fade-transform variable determines the transform state of modal dialog content before the modal fade-in animation, the $modal-show-transform variable determines the transform of .modal-dialog at the end of the modal fade-in animation.

If you want for example a zoom-in animation, you can set $modal-fade-transform: scale(.8).


Remove animation

For modals that simply appear rather than fade in to view, add the :animation="false" property to your modal markup.

        
            
          <template>
            <MDBModal tabindex="-1" labelledby="..." v-model="..." :animation="false" />
          </template>
        
        
    

Button with icon

        
            
              <template>
                <!-- Button trigger modal -->
                <MDBBtn
                  color="primary"
                  aria-controls="exampleModalButtonWithIcon"
                  @click="exampleModalButtonWithIcon = true"
                  rounded
                  ><i class="fab fa-airbnb fa-lg"></i
                ></MDBBtn>

                <MDBModal
                  id="exampleModal"
                  v-model="exampleModalButtonWithIcon"
                  tabindex="-1"
                  labelledby="exampleModalLabel"
                >
                  <MDBModalHeader>
                    <MDBModalTitle id="exampleModalLabel">
                      Modal title
                    </MDBModalTitle>
                  </MDBModalHeader>
                  <MDBModalBody>...</MDBModalBody>
                  <MDBModalFooter>
                    <MDBBtn
                      color="secondary"
                      @click="exampleModalButtonWithIcon = false"
                      >Close</MDBBtn
                    >
                    <MDBBtn color="primary">Save changes</MDBBtn>
                  </MDBModalFooter>
                </MDBModal>
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn,
                } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                export default {
                  components: {
                    MDBModal,
                    MDBModalHeader,
                    MDBModalTitle,
                    MDBModalBody,
                    MDBModalFooter,
                    MDBBtn,
                  },
                  setup() {
                    const exampleModalButtonWithIcon = ref(false);

                    return {
                      exampleModalButtonWithIcon,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn,
                } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                const exampleModalButtonWithIcon = ref(false);
              </script>
            
        
    

Accessibility

Be sure to add labelledby="...">, referencing the modal title, to MDBModal>. Additionally, you may give a description of your modal dialog with aria-describedby> on MDBModal>. Note that you don’t need to add role="dialog"> since we already add it inside component.


Embedding YouTube videos

Embedding YouTube videos in modals requires additional JavaScript not in Bootstrap to automatically stop playback and more. See this helpful Stack Overflow post for more information.


Optional sizes

Modals have three optional sizes, available via modifier properties to be placed on a MDBModal. These sizes kick in at certain breakpoints to avoid horizontal scrollbars on narrower viewports.

Size Property Modal max-width
Small size="sm" 300px
Default None 500px
Large size="lg" 800px
Extra large size="xl" 1140px
        
            
            <template>
              <MDBModal size="xl">...</MDBModal>
              <MDBModal size="lg">...</MDBModal>
              <MDBModal size="sm">...</MDBModal>
            </template>
          
        
    

Fullscreen Modal

Another override is the option to pop up a modal that covers the user viewport, available via fullscreen properties that are placed on a MDBModal.

Class Availability
fullscreen Always
fullscreen="sm-down" Below 576px
fullscreen="md-down" Below 768px
fullscreen="lg-down" Below 992px
fullscreen="xl-down" Below 1200px
fullscreen="xxl-down" Below 1400px
        
            
            <!-- Full screen modal -->
            <template>
              <MDBModal fullscreen>...</MDBModal>
              <MDBModal fullscreen="sm-down">...</MDBModal>
              <MDBModal fullscreen="md-down">...</MDBModal>
              <MDBModal fullscreen="lg-down">...</MDBModal>
              <MDBModal fullscreen="xl-down">...</MDBModal>
              <MDBModal fullscreen="xxl-down">...</MDBModal>
            </template>
          
        
    

Non-Invasive Modal

This type of modal does not block any interaction on the page. Simply add property nonInvasive to MDBModal.

        
            
                <!-- Non-invasive modal -->
                <template>
                  <MDBModal nonInvasive>...</MDBModal>
                </template>
              
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Modal - API


Import

        
            
          <script>
            import {
              MDBModal,
              MDBModalBody,
              MDBModalHeader,
              MDBModalTitle,
              MDBModalFooter
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

Modal

Name Type Default Description Example
animation Boolean true Turn modal animation on or off <MDBModal :animation="false" />
bgSrc String -- Dark style necessitate having a picture background, but the feature is for all the modals, really <MDBModal bgSrc="/image/src" />
centered Boolean false Center modal vertically and horizonally <MDBModal centered />
duration Number 400 Sets animation duration in miliseconds <MDBModal :duration="500" />
focus Boolean true Puts the focus on the modal when initialized. <MDBModal :focus="false" />
fullscreen Number 400 Makes the modal cover user viewport on a specific breakpoint <MDBModal :fullscreen="lg-down" />
keyboard Boolean true Closes the modal when escape key is pressed <MDBModal :keyboard="false" />
labelledby String -- When having modal content with the title add labelledby to make modal more accessible <MDBModal labelledby="modalExampleTitle"> <MDBModalHeader> <MDBModalTitle tag="h4" id="modalExampleTitle"> Modal title </MDBModalTitle> </MDBModalHeader> </MDBModal>
nonInvasive Boolean false Removes the dark overlay from the background, allows to scroll through page and allows to open another modal while non-invasive modal is open. <MDBModal nonInvasive />
removeBackdrop Boolean false Removes the dark overlay from the background, along its functionality <MDBModal removeBackdrop />
scrollable Boolean false Allows to scroll through long contents with a scrollbar <MDBModal scrollable />
size String -- Sets size of MDBModal component. Use "sm | lg | xl" values <MDBModal size="sm" />
staticBackdrop Boolean false Will prevent modal close when clicking outside the backdrop <MDBModal staticBackdrop />
tag String 'div' Defines tag of the MDBModal element <MDBModal tag="span" />
v-model String false Opens / closes modal component <MDBModal v-model="true" />

Modal Body

Name Type Default Description Example
tag String 'div' Defines tag of the MDBModalBody element <MDBModalBody tag="span" />

Modal Header

Name Type Default Description Example
tag String 'div' Defines tag of the MDBModalHeader element <MDBModalHeader tag="header" />
close Boolean true Turning it to false removes the close "x" icon in the right top corner <MDBModalHeader :close="false" />
closeWhite Boolean false Makes the closing "x" sign works better with dark variant of the modal <MDBModalHeader :closeWhite />
color String -- Determines color of the header <MDBModalHeader color="secondary" />

Modal Title

Name Type Default Description Example
tag String 'h5' Defines tag of the MDBModalTitle element <MDBModalTitle tag="h6" />
bold Boolean false Makes title font bold <MDBModalTitle bold />

Events

Bootstrap’s modal class exposes a few events for hooking into modal functionality. All modal events are fired at the modal itself (i.e. at the <div class="modal">).

Event type Description
show This event fires immediately when the modal has been called to show.
shown This event is fired when the modal has been made visible to the user (will wait for CSS transitions to complete).
hide This event is fired immediately when the modal has been called to hide.
hidden This event is fired when the modal has finished being hidden from the user (will wait for CSS transitions to complete).
        
            
          <template>
            <MDBModal v-model="exampleModal" @show="doSomething">...</MDBModal>
          </template>
        
        
    

CSS variables

As part of MDB’s evolving CSS variables approach, modal now use local CSS variables on .modal for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

Modal's CSS variables are in different classes which belong to this component. To make it easier to use them, you can find below all of the used CSS variables.

        
            
        // Variables for modal free
        // .modal
        --#{$prefix}modal-zindex: #{$zindex-modal};
        --#{$prefix}modal-width: #{$modal-md};
        --#{$prefix}modal-padding: #{$modal-inner-padding};
        --#{$prefix}modal-margin: #{$modal-dialog-margin};
        --#{$prefix}modal-color: #{$modal-content-color};
        --#{$prefix}modal-bg: #{$modal-content-bg};
        --#{$prefix}modal-border-color: #{$modal-content-border-color};
        --#{$prefix}modal-border-width: #{$modal-content-border-width};
        --#{$prefix}modal-border-radius: #{$modal-content-border-radius};
        --#{$prefix}modal-box-shadow: #{$modal-content-box-shadow-xs};
        --#{$prefix}modal-inner-border-radius: #{$modal-content-inner-border-radius};
        --#{$prefix}modal-header-padding-x: #{$modal-header-padding-x};
        --#{$prefix}modal-header-padding-y: #{$modal-header-padding-y};
        --#{$prefix}modal-header-padding: #{$modal-header-padding}; // Todo in v6: Split this padding into x and y
        --#{$prefix}modal-header-border-color: #{$modal-header-border-color};
        --#{$prefix}modal-header-border-width: #{$modal-header-border-width};
        --#{$prefix}modal-title-line-height: #{$modal-title-line-height};
        --#{$prefix}modal-footer-gap: #{$modal-footer-margin-between};
        --#{$prefix}modal-footer-bg: #{$modal-footer-bg};
        --#{$prefix}modal-footer-border-color: #{$modal-footer-border-color};
        --#{$prefix}modal-footer-border-width: #{$modal-footer-border-width};

        // .modal-backdrop
        --#{$prefix}backdrop-zindex: #{$zindex-modal-backdrop};
        --#{$prefix}backdrop-bg: #{$modal-backdrop-bg};
        --#{$prefix}backdrop-opacity: #{$modal-backdrop-opacity};

        // .modal
        --#{$prefix}modal-margin: #{$modal-dialog-margin-y-sm-up};
        --#{$prefix}modal-box-shadow: #{$modal-content-box-shadow-sm-up};

        // .modal-sm
        --#{$prefix}modal-width: #{$modal-sm};

        // .modal-lg,
        // .modal-xl
        --#{$prefix}modal-width: #{$modal-lg};

        // .modal-xl
        --#{$prefix}modal-width: #{$modal-xl};

        // .modal-content
        --#{$prefix}modal-box-shadow: #{$modal-box-shadow};

        // Variables for modal pro
        // .modal
        --#{$prefix}modal-top-left-top: #{$modal-top-left-top};
        --#{$prefix}modal-top-left-left: #{$modal-top-left-left};
        --#{$prefix}modal-top-right-top: #{$modal-top-right-top};
        --#{$prefix}modal-top-right-right: #{$modal-top-right-right};
        --#{$prefix}modal-bottom-left-bottom: #{$modal-bottom-left-bottom};
        --#{$prefix}modal-bottom-left-left: #{$modal-bottom-left-left};
        --#{$prefix}modal-bottom-right-bottom: #{$modal-bottom-right-bottom};
        --#{$prefix}modal-bottom-right-right: #{$modal-bottom-right-right};
        --#{$prefix}modal-fade-top-transform: #{$modal-fade-top-transform};
        --#{$prefix}modal-fade-right-transform: #{$modal-fade-right-transform};
        --#{$prefix}modal-fade-bottom-transform: #{$modal-fade-bottom-transform};
        --#{$prefix}modal-fade-left-transform: #{$modal-fade-left-transform};
        --#{$prefix}modal-side-right: #{$modal-side-right};
        --#{$prefix}modal-side-bottom: #{$modal-side-bottom};
        --#{$prefix}modal-non-invasive-box-shadow: #{$modal-non-invasive-box-shadow};
        --#{$prefix}modal-non-invasive-box-shadow-top: #{$modal-non-invasive-box-shadow-top};
        
        
    

SCSS variables

        
            
        // Variables for modal free
        $modal-inner-padding: $spacer;

        $modal-footer-margin-between: 0.5rem;

        $modal-dialog-margin: 0.5rem;
        $modal-dialog-margin-y-sm-up: 1.75rem;

        $modal-title-line-height: $line-height-base;

        $modal-content-border-color: var(--#{$prefix}border-color-translucent);
        $modal-content-border-width: var(--#{$prefix}border-width);
        $modal-content-inner-border-radius: subtract(
          $modal-content-border-radius,
          $modal-content-border-width
        );
        $modal-content-box-shadow-xs: var(--#{$prefix}box-shadow-sm);
        $modal-content-box-shadow-sm-up: var(--#{$prefix}box-shadow);
        
        $modal-backdrop-bg: $black;
        $modal-backdrop-opacity: 0.5;

        $modal-header-padding-y: $modal-inner-padding;
        $modal-header-padding-x: $modal-inner-padding;
        $modal-header-padding: $modal-header-padding-y $modal-header-padding-x; // Keep this for backwards compatibility

        $modal-footer-bg: null;

        $modal-sm: 300px;
        $modal-md: 500px;
        $modal-lg: 800px;
        $modal-xl: 1140px;

        $modal-fade-transform: translate(0, -50px);
        $modal-show-transform: none;
        $modal-transition: transform 0.3s ease-out;
        $modal-scale-transform: scale(1.02);

        $modal-box-shadow: $box-shadow-4;
        $modal-content-border-radius: $border-radius-lg;
        $modal-header-border-color: var(--#{$prefix}divider-color);
        $modal-footer-border-color: var(--#{$prefix}divider-color);
        $modal-header-border-width: $border-width-alternate;
        $modal-footer-border-width: $border-width-alternate;
        $modal-content-color: var(--#{$prefix}surface-color);
        $modal-content-bg: var(--#{$prefix}surface-bg);

        // Variables for modal pro
        $modal-top-left-top: 10px;
        $modal-top-left-left: 10px;
        $modal-top-right-top: 10px;
        $modal-top-right-right: 10px;
        $modal-bottom-left-bottom: 10px;
        $modal-bottom-left-left: 10px;
        $modal-bottom-right-bottom: 10px;
        $modal-bottom-right-right: 10px;
        $modal-fade-top-transform: translate3d(0, -25%, 0);
        $modal-fade-right-transform: translate3d(25%, 0, 0);
        $modal-fade-bottom-transform: translate3d(0, 25%, 0);
        $modal-fade-left-transform: translate3d(-25%, 0, 0);
        $modal-side-right: 10px;
        $modal-side-bottom: 10px;

        $modal-non-invasive-box-shadow: $box-shadow-3;
        $modal-non-invasive-box-shadow-top: $box-shadow-3-top;

Modal

React Bootstrap 5 Modal component

Use MDB modal plugin to add dialogs to your site for lightboxes, user notifications, or completely custom content.

Note: Read the API tab to find all available options and advanced customization


Basic example

Click the button to launch the modal.

        
            
          import React, { useState } from 'react';
          import {
            MDBBtn,
            MDBModal,
            MDBModalDialog,
            MDBModalContent,
            MDBModalHeader,
            MDBModalTitle,
            MDBModalBody,
            MDBModalFooter, 
          } from 'mdb-react-ui-kit';
          
          export default function App() {
            const [basicModal, setBasicModal] = useState(false);

            const toggleOpen = () => setBasicModal(!basicModal);

            return (
              <>
                <MDBBtn onClick={toggleOpen}>LAUNCH DEMO MODAL</MDBBtn>
                <MDBModal open={basicModal} onClose={() => setBasicModal(false)} tabIndex='-1'>
                  <MDBModalDialog>
                    <MDBModalContent>
                      <MDBModalHeader>
                        <MDBModalTitle>Modal title</MDBModalTitle>
                        <MDBBtn className='btn-close' color='none' onClick={toggleOpen}></MDBBtn>
                      </MDBModalHeader>
                      <MDBModalBody>...</MDBModalBody>
    
                      <MDBModalFooter>
                        <MDBBtn color='secondary' onClick={toggleOpen}>
                          Close
                        </MDBBtn>
                        <MDBBtn>Save changes</MDBBtn>
                      </MDBModalFooter>
                    </MDBModalContent>
                  </MDBModalDialog>
                </MDBModal>
              </>
            );
          }
          
        
    

Advanced examples

Click the buttons to launch the modals.

Frame modal

MDB graphics

Position


Side modal

MDB graphics

Position




Central modal

MDB graphics

Size






How it works

Before getting started with MDB modal component, be sure to read the following as our menu options have recently changed.

  • Modals are positioned over everything else in the document and remove scroll from the <body> so that modal content scrolls instead.
  • Clicking on the modal “backdrop” will automatically close the modal.
  • Bootstrap only supports one modal window at a time. Nested modals aren’t supported as we believe them to be poor user experiences.
  • Modals use position: fixed, which can sometimes be a bit particular about its rendering. Whenever possible, place your modal HTML in a top-level position to avoid potential interference from other elements. You’ll likely run into issues when nesting a MDBModal within another fixed element.
  • Once again, due to position: fixed, there are some caveats with using modals on mobile devices.
  • Due to how HTML5 defines its semantics, the autofocus HTML attribute has no effect in Bootstrap modals. To achieve the same effect, use some custom JavaScript:
        
            
            import React, { useEffect, useRef, useState } from 'react';
            import {
              MDBBtn,
              MDBModal,
              MDBModalDialog,
              MDBModalContent,
              MDBModalHeader,
              MDBModalTitle,
              MDBModalBody,
              MDBModalFooter,
              MDBInput,
            } from 'mdb-react-ui-kit';

            export default function App() {
              const [open, setOpen] = useState(false);
              const inputRef = useRef(null);

              useEffect(() => {
                if (open) {
                  inputRef.current?.focus();
                }
              }, [open]);

              return (
                <>
                  <MDBBtn onClick={() => setOpen(!open)}>LAUNCH DEMO MODAL</MDBBtn>
                  <MDBModal open={open} setOpen={setOpen} tabIndex={-1}>
                    <MDBModalDialog>
                      <MDBModalContent>
                        <MDBModalHeader>
                          <MDBModalTitle>Modal title</MDBModalTitle>
                          <MDBBtn className='btn-close' color='none' onClick={() => setOpen(!open)}></MDBBtn>
                        </MDBModalHeader>
                        <MDBModalBody>
                          <MDBInput ref={inputRef} />
                        </MDBModalBody>

                        <MDBModalFooter>
                          <MDBBtn type='button' onClick={() => setOpen(!open)}>
                            Close
                          </MDBBtn>
                        </MDBModalFooter>
                      </MDBModalContent>
                    </MDBModalDialog>
                  </MDBModal>
                </>
              );
            }
          
        
    

Modal components

Below is a static modal example (meaning its position and display have been overridden). Included are the modal header, modal body (required for padding), and modal footer (optional). We ask that you include modal headers with dismiss actions whenever possible, or provide another explicit dismiss action.

        
            
          import React, { useState } from 'react';
          import {
            MDBBtn,
            MDBModal,
            MDBModalDialog,
            MDBModalContent,
            MDBModalHeader,
            MDBModalTitle,
            MDBModalBody,
            MDBModalFooter, 
          } from 'mdb-react-ui-kit';
          
          export default function App() {
            const [basicModal, setBasicModal] = useState(false);

            const toggleOpen = () => setBasicModal(!basicModal);

            return (
              <>
                <MDBBtn onClick={toggleOpen}>LAUNCH DEMO MODAL</MDBBtn>
                <MDBModal open={basicModal} onClose={() => setBasicModal(false)} tabIndex='-1'>
                  <MDBModalDialog>
                    <MDBModalContent>
                      <MDBModalHeader>
                        <MDBModalTitle>Modal title</MDBModalTitle>
                        <MDBBtn className='btn-close' color='none' onClick={toggleOpen}></MDBBtn>
                      </MDBModalHeader>
                      <MDBModalBody>Modal body text goes here.</MDBModalBody>
    
                      <MDBModalFooter>
                        <MDBBtn color='secondary' onClick={toggleOpen}>
                          Close
                        </MDBBtn>
                        <MDBBtn>Save changes</MDBBtn>
                      </MDBModalFooter>
                    </MDBModalContent>
                  </MDBModalDialog>
                </MDBModal>
              </>
            );
          }
          
        
    

Position

To change the position of the modal add one of the following props to the MDBModalDialog

Top right: side + position="top-right"

Top left: side + position="top-left"

Bottom right: side + position="bottom-right"

Bottom left: side + position="bottom-left"

Note: If you want to change the direction of modal animation, add the prop{' '} animationDirection, top, bottom or left to the{' '} Modal component.

        
            
            import React, { useState } from 'react';
            import {
              MDBBtn,
              MDBModal,
              MDBModalDialog,
              MDBModalContent,
              MDBModalHeader,
              MDBModalTitle,
              MDBModalBody,
              MDBModalFooter, 
            } from 'mdb-react-ui-kit';
            
            export default function App() {
              const [topRightModal, setTopRightModal] = useState(false);
  
              const toggleOpen = () => setTopRightModal(!topRightModal);
  
              return (
                <>
                  <MDBBtn onClick={toggleOpen}>Top right</MDBBtn>
                  
                  <MDBModal
                    animationDirection='right'
                    open={topRightModal}
                    tabIndex='-1'
                    onClose={() => setTopRightModal(false)}
                  >
                    <MDBModalDialog position='top-right' side>
                      <MDBModalContent>
                        <MDBModalHeader className='bg-info text-white'>
                          <MDBModalTitle>Product in the cart</MDBModalTitle>
                          <MDBBtn
                            color='none'
                            className='btn-close btn-close-white'
                            onClick={toggleOpen}
                          ></MDBBtn>
                        </MDBModalHeader>
                        <MDBModalBody>
                          <div className='row'>
                            <div className='col-3 text-center'>
                              <i className='fas fa-shopping-cart fa-4x text-info'></i>
                            </div>

                            <div className='col-9'>
                              <p>Do you need more time to make a purchase decision?</p>
                              <p>No pressure, your product will be waiting for you in the cart.</p>
                            </div>
                          </div>
                        </MDBModalBody>
                        <MDBModalFooter>
                          <MDBBtn color='info'>Go to the cart</MDBBtn>
                          <MDBBtn outline color='info' onClick={toggleOpen}>
                            Close
                          </MDBBtn>
                        </MDBModalFooter>
                      </MDBModalContent>
                    </MDBModalDialog>
                  </MDBModal>
                </>
              );
            }
            
        
    

Frame

To make the modal "frame-like" add frame prop to the MDBModalDialog element. You also need to specify the direction by adding position="bottom" or position="top" to the MDBModalDialog.

        
            
          import React, { useState } from 'react';
          import { MDBBtn, MDBModal, MDBModalDialog, MDBModalContent, MDBModalBody } from 'mdb-react-ui-kit';
          
          export default function App() {
            const [bottomModal, setBottomModal] = useState(false);
          
            const toggleOpen = () => setBottomModal(!bottomModal);
          
            return (
              <>
                <MDBBtn onClick={toggleOpen}>Launch frame modal</MDBBtn>
          
                <MDBModal animationDirection='bottom' open={bottomModal} tabIndex='-1' onClose={() => setBottomModal(false)}>
                  <MDBModalDialog position='bottom' frame>
                    <MDBModalContent>
                      <MDBModalBody className='py-1'>
                        <div className='d-flex justify-content-center align-items-center my-3'>
                          <p className='mb-0'>We use cookies to improve your website experience</p>
                          <MDBBtn color='success' size='sm' className='ms-2' onClick={toggleOpen}>
                            Ok, thanks
                          </MDBBtn>
                          <MDBBtn size='sm' className='ms-2'>
                            Learn more
                          </MDBBtn>
                        </div>
                      </MDBModalBody>
                    </MDBModalContent>
                  </MDBModalDialog>
                </MDBModal>
              </>
            );
          }          
          
        
    

Static backdrop

When backdrop is set to static, the modal will not close when clicking outside it. Click the button below to try it.

        
            
          import React, { useState } from 'react';
          import {
            MDBBtn,
            MDBModal,
            MDBModalDialog,
            MDBModalContent,
            MDBModalHeader,
            MDBModalTitle,
            MDBModalBody,
            MDBModalFooter, 
          } from 'mdb-react-ui-kit';
          
          export default function App() {
            const [staticModal, setStaticModal] = useState(false);

            const toggleOpen = () => setStaticModal(!staticModal);

            return (
              <>
                <MDBBtn onClick={toggleOpen}>Launch static backdrop modal</MDBBtn>

                <MDBModal staticBackdrop tabIndex='-1' open={staticModal} onClose={() => setStaticModal(false)}>
                  <MDBModalDialog>
                    <MDBModalContent>
                      <MDBModalHeader>
                        <MDBModalTitle>Modal title</MDBModalTitle>
                        <MDBBtn className='btn-close' color='none' onClick={toggleOpen}></MDBBtn>
                      </MDBModalHeader>
                      <MDBModalBody>...</MDBModalBody>
                      <MDBModalFooter>
                        <MDBBtn color='secondary' onClick={toggleOpen}>
                          Close
                        </MDBBtn>
                        <MDBBtn>Understood</MDBBtn>
                      </MDBModalFooter>
                    </MDBModalContent>
                  </MDBModalDialog>
                </MDBModal>
              </>
            );
          }
          
        
    

Scrolling long content

When modals become too long for the user’s viewport or device, they scroll independent of the page itself. Try the demo below to see what we mean.

You can also create a scrollable modal that allows scroll the modal body by adding scrollable to MDBModalDialog.

        
            
          import React, { useState } from 'react';
          import {
            MDBBtn,
            MDBModal,
            MDBModalDialog,
            MDBModalContent,
            MDBModalHeader,
            MDBModalTitle,
            MDBModalBody,
            MDBModalFooter, 
          } from 'mdb-react-ui-kit';
          
          export default function App() {
            const [scrollableModal, setScrollableModal] = useState(false);

            return (
              <>
                <MDBBtn onClick={() => setScrollableModal(!scrollableModal)}>LAUNCH DEMO MODAL</MDBBtn>

                <MDBModal open={scrollableModal} onClose={() => setScrollableModal(false)} tabIndex='-1'>
                  <MDBModalDialog scrollable>
                    <MDBModalContent>
                      <MDBModalHeader>
                        <MDBModalTitle>Modal title</MDBModalTitle>
                        <MDBBtn
                          className='btn-close'
                          color='none'
                          onClick={() => setScrollableModal(false)}
                        ></MDBBtn>
                      </MDBModalHeader>
                      <MDBModalBody>
                        <p>
                          Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in,
                          egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.
                        </p>
                        <p>
                          Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel
                          augue laoreet rutrum faucibus dolor auctor.
                        </p>
                        <p>
                          Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl
                          consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.
                        </p>
                        <p>
                          Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in,
                          egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.
                        </p>
                        <p>
                          Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel
                          augue laoreet rutrum faucibus dolor auctor.
                        </p>
                        <p>
                          Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl
                          consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.
                        </p>
                        <p>
                          Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in,
                          egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.
                        </p>
                        <p>
                          Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel
                          augue laoreet rutrum faucibus dolor auctor.
                        </p>
                        <p>
                          Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl
                          consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.
                        </p>
                        <p>
                          Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in,
                          egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.
                        </p>
                        <p>
                          Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel
                          augue laoreet rutrum faucibus dolor auctor.
                        </p>
                        <p>
                          Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl
                          consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.
                        </p>
                        <p>
                          Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in,
                          egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.
                        </p>
                        <p>
                          Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel
                          augue laoreet rutrum faucibus dolor auctor.
                        </p>
                        <p>
                          Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl
                          consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.
                        </p>
                        <p>
                          Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in,
                          egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.
                        </p>
                        <p>
                          Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel
                          augue laoreet rutrum faucibus dolor auctor.
                        </p>
                        <p>
                          Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl
                          consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.
                        </p>
                      </MDBModalBody>
                      <MDBModalFooter>
                        <MDBBtn color='secondary' onClick={() => setScrollableModal(!setScrollableModal)}>
                          Close
                        </MDBBtn>
                        <MDBBtn>Save changes</MDBBtn>
                      </MDBModalFooter>
                    </MDBModalContent>
                  </MDBModalDialog>
                </MDBModal>
              </>
            );
          }
          
        
    

Vertically centered

Add centered to MDBModalDialog to vertically center the modal.

        
            
          import React, { useState } from 'react';
          import {
            MDBBtn,
            MDBModal,
            MDBModalDialog,
            MDBModalContent,
            MDBModalHeader,
            MDBModalTitle,
            MDBModalBody,
            MDBModalFooter, 
          } from 'mdb-react-ui-kit';
          
          export default function App() {
            const [centredModal, setCentredModal] = useState(false);

            const toggleOpen = () => setCentredModal(!centredModal);

            return (
              <>
                <MDBBtn onClick={toggleOpen}>Vertically centered modal</MDBBtn>

                <MDBModal tabIndex='-1' open={centredModal} onClose={() => setCentredModal(false)}>
                  <MDBModalDialog centered>
                    <MDBModalContent>
                      <MDBModalHeader>
                        <MDBModalTitle>Modal title</MDBModalTitle>
                        <MDBBtn className='btn-close' color='none' onClick={toggleOpen}></MDBBtn>
                      </MDBModalHeader>
                      <MDBModalBody>
                        <p>
                          Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in,
                          egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.
                        </p>
                      </MDBModalBody>
                      <MDBModalFooter>
                        <MDBBtn color='secondary' onClick={toggleOpen}>
                          Close
                        </MDBBtn>
                        <MDBBtn>Save changes</MDBBtn>
                      </MDBModalFooter>
                    </MDBModalContent>
                  </MDBModalDialog>
                </MDBModal>
              </>
            );
          }
          
        
    

Tooltips and popovers

Tooltips and popovers can be placed within modals as needed. When modals are closed, any tooltips and popovers within are also automatically dismissed.

        
            
          import React, { useState } from 'react';
          import { 
            MDBBtn,
            MDBModal,
            MDBModalDialog,
            MDBModalContent,
            MDBModalHeader,
            MDBModalTitle,
            MDBModalBody,
            MDBModalFooter,
            MDBPopover,
            MDBPopoverHeader,
            MDBPopoverBody,
            MDBTooltip
          } from 'mdb-react-ui-kit';
          
          export default function App() {
            const [popoverModal, setPopoverModal] = useState(false);

            const toggleOpen = () => setPopoverModal(!popoverModal);

            return (
              <>
                <MDBBtn onClick={toggleOpen}>Launch demo modal</MDBBtn>

                <MDBModal tabIndex='-1' open={popoverModal} onClose={() => setPopoverModal(false)}>
                  <MDBModalDialog>
                    <MDBModalContent>
                      <MDBModalHeader>
                        <MDBModalTitle>Modal title</MDBModalTitle>
                        <MDBBtn className='btn-close' color='none' onClick={toggleOpen}></MDBBtn>
                      </MDBModalHeader>
                      <MDBModalBody>
                        <h5>Popover in a modal</h5>
                        <p>
                          This
                          <MDBPopover isOpen={popoverModal} color='secondary' btnChildren='button' placement='right'>
                            <MDBPopoverHeader>Popover title</MDBPopoverHeader>
                            <MDBPopoverBody>Popover body content is set in this attribute.</MDBPopoverBody>
                          </MDBPopover>
                          triggers a popover on click.
                        </p>
                        <hr />
                        <h5>Tooltips in a modal</h5>
                        <p>
                          <MDBTooltip tag='a' wrapperProps={{ href: '#!' }} title='Tooltip'>
                            This link
                          </MDBTooltip>{' '}
                          and{' '}
                          <MDBTooltip tag='a' wrapperProps={{ href: '#!' }} title='Tooltip'>
                            that link
                          </MDBTooltip>{' '}
                          have tooltips on hover.
                        </p>
                      </MDBModalBody>

                      <MDBModalFooter>
                        <MDBBtn color='secondary' onClick={toggleOpen}>
                          Close
                        </MDBBtn>
                        <MDBBtn>Save changes</MDBBtn>
                      </MDBModalFooter>
                    </MDBModalContent>
                  </MDBModalDialog>
                </MDBModal>
              </>
            );
          }
          
        
    

Using the grid

Utilize the Bootstrap grid system within a modal by nesting .container-fluid within the .modal-body. Then, use the normal grid system classes as you would anywhere else.

        
            
          import React, { useState } from 'react';
          import {
            MDBBtn,
            MDBModal,
            MDBModalDialog,
            MDBModalContent,
            MDBModalHeader,
            MDBModalTitle,
            MDBModalBody,
            MDBModalFooter, 
          } from 'mdb-react-ui-kit';
          
          export default function App() {
            const [gridModal, setGridModal] = useState(false);

            const toggleOpen = () => setGridModal(!gridModal);

            return (
              <>
                <MDBBtn onClick={toggleOpen}>Launch demo modal</MDBBtn>

                <MDBModal tabIndex='-1' open={gridModal} onClose={() => setGridModal(false)}>
                  <MDBModalDialog>
                    <MDBModalContent>
                      <MDBModalHeader>
                        <MDBModalTitle>Grids in modals</MDBModalTitle>
                        <MDBBtn
                          type='button'
                          className='btn-close'
                          color='none'
                          onClick={toggleOpen}
                        ></MDBBtn>
                      </MDBModalHeader>
                      <MDBModalBody>
                        <div className='container-fluid bd-example-row'>
                          <div className='row'>
                            <div className='col-md-4 col-example'>.col-md-4</div>
                            <div className='col-md-4 ms-auto col-example'>.col-md-4 .ms-auto</div>
                          </div>
                          <div className='row'>
                            <div className='col-md-3 ms-auto col-example'>.col-md-3 .ms-auto</div>
                            <div className='col-md-2 ms-auto col-example'>.col-md-2 .ms-auto</div>
                          </div>
                          <div className='row'>
                            <div className='col-md-6 ms-auto col-example'>.col-md-6 .ms-auto</div>
                          </div>
                          <div className='row'>
                            <div className='col-sm-9 col-example'>
                              Level 1: .col-sm-9
                              <div className='row'>
                                <div className='col-8 col-sm-6 col-example'>Level 2: .col-8 .col-sm-6</div>
                                <div className='col-4 col-sm-6 col-example'>Level 2: .col-4 .col-sm-6</div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </MDBModalBody>
                      <MDBModalFooter>
                        <MDBBtn color='secondary' onClick={toggleOpen}>
                          Close
                        </MDBBtn>
                        <MDBBtn>Save changes</MDBBtn>
                      </MDBModalFooter>
                    </MDBModalContent>
                  </MDBModalDialog>
                </MDBModal>
              </>
            );
          }
          
        
    

Varying modal content

Have a bunch of buttons that all trigger the same modal with slightly different contents? Use event.relatedTarget and HTML data-mdb-* attributes to vary the contents of the modal depending on which button was clicked.

Below is a live demo followed by example HTML and JavaScript. For more information, read the modal API/events doc for details on relatedTarget.

        
            
          import React, { ChangeEvent, useState } from 'react';
          import {
            MDBBtn,
            MDBModal,
            MDBModalDialog,
            MDBModalContent,
            MDBModalHeader,
            MDBModalTitle,
            MDBModalBody,
            MDBModalFooter,
            MDBTextArea,
            MDBInput,
          } from 'mdb-react-ui-kit';

          export default function App() {
            const [varyingState, setVaryingState] = useState('');
            const [varyingModal, setVaryingModal] = useState(false);
            const [varyingRecipient, setVaryingRecipient] = useState('');
            const [varyingMessage, setVaryingMessage] = useState('');

            const onChangeRecipient = (event: ChangeEvent<HTMLInputElement>) => {
              setVaryingRecipient(event.target.value);
            };

            const onChangeMessage = (event: ChangeEvent<HTMLTextAreaElement>) => {
              setVaryingMessage(event.target.value);
            };

            return (
              <>
                <MDBBtn
                  onClick={() => {
                    setVaryingState('@mdo');
                    setVaryingModal(!varyingModal);
                    setVaryingRecipient('@mdo');
                  }}
                >
                  Open modal for @mdo
                </MDBBtn>
                <MDBBtn
                  onClick={() => {
                    setVaryingState('@fat');
                    setVaryingModal(!varyingModal);
                    setVaryingRecipient('@fat');
                  }}
                >
                  Open modal for @fat
                </MDBBtn>
                <MDBBtn
                  onClick={() => {
                    setVaryingState('@getbootstrap');
                    setVaryingModal(!varyingModal);
                    setVaryingRecipient('@getbootstrap');
                  }}
                >
                  Open modal for @getbootstrap
                </MDBBtn>

                <MDBModal open={varyingModal} onClose={() => setVaryingModal(false)} tabIndex='-1'>
                  <MDBModalDialog>
                    <MDBModalContent>
                      <MDBModalHeader>
                        <MDBModalTitle>New message to {varyingState}</MDBModalTitle>
                        <MDBBtn className='btn-close' color='none' onClick={() => setVaryingModal(false)}></MDBBtn>
                      </MDBModalHeader>
                      <MDBModalBody>
                        <form>
                          <div className='mb-3'>
                            {varyingModal && (
                              <MDBInput
                                value={varyingRecipient}
                                onChange={onChangeRecipient}
                                labelClass='col-form-label'
                                label='Recipient:'
                              />
                            )}
                          </div>
                          <div className='mb-3'>
                            {varyingModal && (
                              <MDBTextArea
                                value={varyingMessage}
                                onChange={onChangeMessage}
                                labelClass='col-form-label'
                                label='Message:'
                              />
                            )}
                          </div>
                        </form>
                      </MDBModalBody>
                      <MDBModalFooter>
                        <MDBBtn color='secondary' onClick={() => setVaryingModal(!varyingModal)}>
                          Close
                        </MDBBtn>
                        <MDBBtn>Save changes</MDBBtn>
                      </MDBModalFooter>
                    </MDBModalContent>
                  </MDBModalDialog>
                </MDBModal>
              </>
            );
          }
          
        
    

Toggle between modals

Toggle between multiple modals with some clever placement of the data-mdb-target and data-mdb-toggle attributes. For example, you could toggle a password reset modal from within an already open sign in modal. Please note multiple modals cannot be open at the same time—this method simply toggles between two separate modals.

Below is a live demo followed by example HTML and JavaScript. For more information, read the modal API/events doc for details on relatedTarget.

Open first modal
        
            
          import React, { useState } from 'react';
          import {
            MDBBtn,
            MDBModal,
            MDBModalDialog,
            MDBModalContent,
            MDBModalHeader,
            MDBModalTitle,
            MDBModalBody,
            MDBModalFooter, 
          } from 'mdb-react-ui-kit';
          
          export default function App() {
            const [toggleOneModal, setToggleOneModal] = useState(false);
            const [toggleTwoModal, setToggleTwoModal] = useState(false);
            
            return (
              <>
                <MDBBtn onClick={() => setToggleOneModal(!toggleOneModal)}>OPEN FIRST MODAL</MDBBtn>

                <MDBModal open={toggleOneModal} onClose={() => setToggleOneModal(false)} tabIndex='-1'>
                  <MDBModalDialog centered>
                    <MDBModalContent>
                      <MDBModalHeader>
                        <MDBModalTitle>Modal 1</MDBModalTitle>
                        <MDBBtn
                          className='btn-close'
                          color='none'
                          onClick={() => setToggleOneModal(!toggleOneModal)}
                        ></MDBBtn>
                      </MDBModalHeader>
                      <MDBModalBody>Show a second modal and hide this one with the button below.</MDBModalBody>
                      <MDBModalFooter>
                        <MDBBtn
                          onClick={() => {
                            setToggleOneModal(!toggleOneModal);
                            setTimeout(() => {
                              setToggleTwoModal(!toggleTwoModal);
                            }, 400);
                          }}
                        >
                          Open second modal
                        </MDBBtn>
                      </MDBModalFooter>
                    </MDBModalContent>
                  </MDBModalDialog>
                </MDBModal>
    
                <MDBModal open={toggleTwoModal} onClose={() => setToggleTwoModal(false)} tabIndex='-1'>
                  <MDBModalDialog centered>
                    <MDBModalContent>
                      <MDBModalHeader>
                        <MDBModalTitle>Modal 2</MDBModalTitle>
                        <MDBBtn
                          className='btn-close'
                          color='none'
                          onClick={() => setToggleTwoModal(!toggleTwoModal)}
                        ></MDBBtn>
                      </MDBModalHeader>
                      <MDBModalBody>Close this modal and show the first with the button below.</MDBModalBody>
                      <MDBModalFooter>
                        <MDBBtn
                          onClick={() => {
                            setToggleTwoModal(!toggleTwoModal);
                            setTimeout(() => {
                              setToggleOneModal(!toggleOneModal);
                            }, 400);
                          }}
                        >
                          Back to first
                        </MDBBtn>
                      </MDBModalFooter>
                    </MDBModalContent>
                  </MDBModalDialog>
                </MDBModal>
              </>
            );
          }
          
        
    

Accessibility

Be sure to add aria-labelledby="...", referencing the modal title, to MDBModal. Additionally, you may give a description of your modal dialog with aria-describedby on MDBModal.


Embedding YouTube videos

Embedding YouTube videos in modals requires additional JavaScript not in Bootstrap to automatically stop playback and more. See this helpful Stack Overflow post for more information.


Optional sizes

Modals have three optional sizes, available via modifier props to be placed on a MDBModalDialog. These sizes kick in at certain breakpoints to avoid horizontal scrollbars on narrower viewports.

Size Prop Modal max-width
Small size="sm" 300px
Default None 500px
Large size="lg" 800px
Extra large size="xl" 1140px
        
            
          import React, { useState } from 'react';
          import {
            MDBBtn,
            MDBModal,
            MDBModalDialog,
            MDBModalContent,
            MDBModalHeader,
            MDBModalTitle,
            MDBModalBody
          } from 'mdb-react-ui-kit';
          
          export default function App() {
            const [optSmModal, setOptSmModal] = useState(false);

            const toggleOpen = () => setOptSmModal(!optSmModal);

            return (
              <>
                <MDBBtn onClick={toggleOpen}>Small modal</MDBBtn>
                <MDBModal open={optSmModal} tabIndex='-1' onClose={() => setOptSmModal(false)}>
                  <MDBModalDialog size='sm'>
                    <MDBModalContent>
                      <MDBModalHeader>
                        <MDBModalTitle>Small modal</MDBModalTitle>
                        <MDBBtn className='btn-close' color='none' onClick={toggleOpen}></MDBBtn>
                      </MDBModalHeader>
                      <MDBModalBody>...</MDBModalBody>
                    </MDBModalContent>
                  </MDBModalDialog>
                </MDBModal>
              </>
            );
          }
          
        
    

Fullscreen Modal

Another override is the option to pop up a modal that covers the user viewport, available via modifier props that are placed on a MDBModalDialog.

Prop Availability
size="fullscreen" Always
size="fullscreen-sm-down" Below 576px
size="fullscreen-md-down" Below 768px
size="fullscreen-lg-down" Below 992px
size="fullscreen-xl-down" Below 1200px
size="fullscreen-xxl-down" Below 1400px
        
            
          import React, { useState } from 'react';
          import {
            MDBBtn,
            MDBModal,
            MDBModalDialog,
            MDBModalContent,
            MDBModalHeader,
            MDBModalTitle,
            MDBModalBody,
            MDBModalFooter, 
          } from 'mdb-react-ui-kit';
          
          export default function App() {
            const [fullscreenXlModal, setFullscreenXlModal] = useState(false);

            const toggleOpen = () => setFullscreenXlModal(!fullscreenXlModal);

            return (
              <> 
                <MDBBtn onClick={toggleOpen}>Full screen below xl</MDBBtn>
                <MDBModal tabIndex='-1' open={fullscreenXlModal} onClose={() => setFullscreenXlModal(false)}>
                  <MDBModalDialog size='fullscreen-xl-down'>
                    <MDBModalContent>
                      <MDBModalHeader>
                        <MDBModalTitle>Full screen below xl</MDBModalTitle>
                        <MDBBtn
                          type='button'
                          className='btn-close'
                          color='none'
                          onClick={toggleOpen}
                        ></MDBBtn>
                      </MDBModalHeader>
                      <MDBModalBody>...</MDBModalBody>
                      <MDBModalFooter>
                        <MDBBtn type='button' color='secondary' onClick={toggleOpen}>
                          Close
                        </MDBBtn>
                      </MDBModalFooter>
                    </MDBModalContent>
                  </MDBModalDialog>
                </MDBModal>
              </>
            );
          }
          
        
    

Non-invasive Modal

This type of modal does not block any interaction on the page. Simply set nonInvasive property to true.

        
            
          import React, { useState } from 'react';
          import {
            MDBBtn,
            MDBModal,
            MDBModalDialog,
            MDBModalContent,
            MDBModalHeader,
            MDBModalTitle,
            MDBModalBody,
            MDBModalFooter,
          } from 'mdb-react-ui-kit';
          
          export default function App() {
            const [nonInvasiveModal, setNonInvasiveModal] = useState(false);
          
            const toggleOpen = () => setNonInvasiveModal(!nonInvasiveModal);
          
            return (
              <>
                <MDBBtn onClick={toggleOpen}>Non Invasive Modal</MDBBtn>
                <MDBModal tabIndex={-1} open={nonInvasiveModal} onClose={() => setNonInvasiveModal(false)} nonInvasive={true}>
                  <MDBModalDialog size='fullscreen-xl-down'>
                    <MDBModalContent>
                      <MDBModalHeader>
                        <MDBModalTitle>Non Invasive Modal</MDBModalTitle>
                        <MDBBtn type='button' className='btn-close' color='none' onClick={toggleOpen}></MDBBtn>
                      </MDBModalHeader>
                      <MDBModalBody>...</MDBModalBody>
                      <MDBModalFooter>
                        <MDBBtn type='button' color='secondary' onClick={toggleOpen}>
                          Close
                        </MDBBtn>
                      </MDBModalFooter>
                    </MDBModalContent>
                  </MDBModalDialog>
                </MDBModal>
              </>
            );
          }
          
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Modal - API


Import

        
            
      import {
        MDBModal,
        MDBModalDialog,
        MDBModalContent,
        MDBModalHeader,
        MDBModalTitle,
        MDBModalBody,
        MDBModalFooter, 
      } from 'mdb-react-ui-kit';
     
        
    

Properties

MDBModal

Name Type Default Description Example
animationDirection String '' Defines animation direction of the modal <MDBModal animationDirection="top" />
appendToBody Boolean false Appends element to the end of the body <MDBModal appendToBody />
backdrop Boolean true Sets a backrop for modal <MDBModal backdrop={false} />
closeOnEsc Boolean true Allows to close modal on Escape keydown <MDBModal closeOnEsc={false} />
leaveHiddenModal Boolean true Defines whether the hidden modal stays in VDOM <MDBModal leaveHiddenModal={false} />
modalRef Reference '' Reference to the modal element <MDBModal modalRef={modalReference} />
nonInvasive Boolean false Changes the type of modal to Non-Invasive modal <MDBModal nonInvasive={true} />
setOpen React.SetStateAction '' Allows to pass the setState action to the Modal component which defines if modal is opened or not <MDBModal setOpen={setExample} />
open Boolean false Sets visibility of the modal <MDBModal open={true} />
staticBackdrop Boolean false Creates static backdrop for the modal <MDBModal staticBackdrop />
tag String 'div' Defines tag of the MDBModal element <MDBModal tag="section" />

MDBModalDialog

Name Type Default Description Example
centered Boolean false Vertically centeres modal dialog window <MDBModalDialog centered />
scrollable Boolean false Allows to scroll through long contents with a scrollbar <MDBModalDialog scrollable />
size String '' Defines the size of MDBModal component. <MDBModalDialog size="lg" />
tag String 'div' Defines tag of the MDBModalDialog element <MDBModalDialog tag="section" />

MDBModalContent

Name Type Default Description Example
tag String 'div' Defines tag of the MDBModalContent element <MDBModalContent tag="section" />

MDBModalHeader

Name Type Default Description Example
tag String 'div' Defines tag of the MDBModalHeader element <MDBModalHeader tag="section" />

MDBModalTitle

Name Type Default Description Example
tag String 'h5' Defines tag of the MDBModalTitle element <MDBModalTitle tag="h3" />

MDBModalBody

Name Type Default Description Example
tag String 'div' Defines tag of the MDBModalBody element <MDBModalBody tag="section" />

Events

Name Type Description
onClose () => any Fired when the modal demands to be closed.
onClosePrevented () => any This event is fired when the modal is shown, its backdrop is static and a click outside the modal or an escape key press is performed with the keyboard option.
onOpen () => any Fires when the modal demands to be opened.

CSS variables

As part of MDB’s evolving CSS variables approach, modal now use local CSS variables on .modal for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

Modal's CSS variables are in different classes which belong to this component. To make it easier to use them, you can find below all of the used CSS variables.

        
            
        // Variables for modal free
        // .modal
        --#{$prefix}modal-zindex: #{$zindex-modal};
        --#{$prefix}modal-width: #{$modal-md};
        --#{$prefix}modal-padding: #{$modal-inner-padding};
        --#{$prefix}modal-margin: #{$modal-dialog-margin};
        --#{$prefix}modal-color: #{$modal-content-color};
        --#{$prefix}modal-bg: #{$modal-content-bg};
        --#{$prefix}modal-border-color: #{$modal-content-border-color};
        --#{$prefix}modal-border-width: #{$modal-content-border-width};
        --#{$prefix}modal-border-radius: #{$modal-content-border-radius};
        --#{$prefix}modal-box-shadow: #{$modal-content-box-shadow-xs};
        --#{$prefix}modal-inner-border-radius: #{$modal-content-inner-border-radius};
        --#{$prefix}modal-header-padding-x: #{$modal-header-padding-x};
        --#{$prefix}modal-header-padding-y: #{$modal-header-padding-y};
        --#{$prefix}modal-header-padding: #{$modal-header-padding}; // Todo in v6: Split this padding into x and y
        --#{$prefix}modal-header-border-color: #{$modal-header-border-color};
        --#{$prefix}modal-header-border-width: #{$modal-header-border-width};
        --#{$prefix}modal-title-line-height: #{$modal-title-line-height};
        --#{$prefix}modal-footer-gap: #{$modal-footer-margin-between};
        --#{$prefix}modal-footer-bg: #{$modal-footer-bg};
        --#{$prefix}modal-footer-border-color: #{$modal-footer-border-color};
        --#{$prefix}modal-footer-border-width: #{$modal-footer-border-width};

        // .modal-backdrop
        --#{$prefix}backdrop-zindex: #{$zindex-modal-backdrop};
        --#{$prefix}backdrop-bg: #{$modal-backdrop-bg};
        --#{$prefix}backdrop-opacity: #{$modal-backdrop-opacity};

        // .modal
        --#{$prefix}modal-margin: #{$modal-dialog-margin-y-sm-up};
        --#{$prefix}modal-box-shadow: #{$modal-content-box-shadow-sm-up};

        // .modal-sm
        --#{$prefix}modal-width: #{$modal-sm};

        // .modal-lg,
        // .modal-xl
        --#{$prefix}modal-width: #{$modal-lg};

        // .modal-xl
        --#{$prefix}modal-width: #{$modal-xl};

        // .modal-content
        --#{$prefix}modal-box-shadow: #{$modal-box-shadow};

        // Variables for modal pro
        // .modal
        --#{$prefix}modal-top-left-top: #{$modal-top-left-top};
        --#{$prefix}modal-top-left-left: #{$modal-top-left-left};
        --#{$prefix}modal-top-right-top: #{$modal-top-right-top};
        --#{$prefix}modal-top-right-right: #{$modal-top-right-right};
        --#{$prefix}modal-bottom-left-bottom: #{$modal-bottom-left-bottom};
        --#{$prefix}modal-bottom-left-left: #{$modal-bottom-left-left};
        --#{$prefix}modal-bottom-right-bottom: #{$modal-bottom-right-bottom};
        --#{$prefix}modal-bottom-right-right: #{$modal-bottom-right-right};
        --#{$prefix}modal-fade-top-transform: #{$modal-fade-top-transform};
        --#{$prefix}modal-fade-right-transform: #{$modal-fade-right-transform};
        --#{$prefix}modal-fade-bottom-transform: #{$modal-fade-bottom-transform};
        --#{$prefix}modal-fade-left-transform: #{$modal-fade-left-transform};
        --#{$prefix}modal-side-right: #{$modal-side-right};
        --#{$prefix}modal-side-bottom: #{$modal-side-bottom};
        --#{$prefix}modal-non-invasive-box-shadow: #{$modal-non-invasive-box-shadow};
        --#{$prefix}modal-non-invasive-box-shadow-top: #{$modal-non-invasive-box-shadow-top};
        
        
    

SCSS variables

        
            
        // Variables for modal free
        $modal-inner-padding: $spacer;

        $modal-footer-margin-between: 0.5rem;

        $modal-dialog-margin: 0.5rem;
        $modal-dialog-margin-y-sm-up: 1.75rem;

        $modal-title-line-height: $line-height-base;

        $modal-content-color: null;
        $modal-content-bg: $white;
        $modal-content-border-color: var(--#{$prefix}border-color-translucent);
        $modal-content-border-width: $border-width;
        $modal-content-inner-border-radius: subtract(
          $modal-content-border-radius,
          $modal-content-border-width
        );
        $modal-content-box-shadow-xs: $box-shadow-sm;
        $modal-content-box-shadow-sm-up: $box-shadow;

        $modal-backdrop-bg: $black;
        $modal-backdrop-opacity: 0.5;

        $modal-header-padding-y: $modal-inner-padding;
        $modal-header-padding-x: $modal-inner-padding;
        $modal-header-padding: $modal-header-padding-y $modal-header-padding-x; // Keep this for backwards compatibility

        $modal-footer-bg: null;

        $modal-sm: 300px;
        $modal-md: 500px;
        $modal-lg: 800px;
        $modal-xl: 1140px;

        $modal-fade-transform: translate(0, -50px);
        $modal-show-transform: none;
        $modal-transition: transform 0.3s ease-out;
        $modal-scale-transform: scale(1.02);

        $modal-box-shadow: $box-shadow-4;
        $modal-content-border-radius: $border-radius-lg;
        $modal-header-border-color: $border-color-alternate;
        $modal-footer-border-color: $border-color-alternate;
        $modal-header-border-width: $border-width-alternate;
        $modal-footer-border-width: $border-width-alternate;

        // Variables for modal pro
        $modal-top-left-top: 10px;
        $modal-top-left-left: 10px;
        $modal-top-right-top: 10px;
        $modal-top-right-right: 10px;
        $modal-bottom-left-bottom: 10px;
        $modal-bottom-left-left: 10px;
        $modal-bottom-right-bottom: 10px;
        $modal-bottom-right-right: 10px;
        $modal-fade-top-transform: translate3d(0, -25%, 0);
        $modal-fade-right-transform: translate3d(25%, 0, 0);
        $modal-fade-bottom-transform: translate3d(0, 25%, 0);
        $modal-fade-left-transform: translate3d(-25%, 0, 0);
        $modal-side-right: 10px;
        $modal-side-bottom: 10px;

        $modal-non-invasive-box-shadow: $box-shadow-3;
        $modal-non-invasive-box-shadow-top: $box-shadow-3-top;

Modal

Angular Bootstrap 5 Modal component

Use MDB modal plugin to add dialogs to your site for lightboxes, user notifications, or completely custom content.

Note: Read the API tab to find all available options and advanced customization


Basic example

Click the button to launch the modal.

You can create modals dynamically from any component using a built-in service. To achieve this, follow these steps:

1. Create a new component with Angular CLI and add some HTML code to the template.

ng generate component modal

        
            
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
            <button
              type="button"
              class="btn-close"
              aria-label="Close"
              (click)="modalRef.close()"
            ></button>
          </div>
          <div class="modal-body">...</div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" (click)="modalRef.close()">
              Close
            </button>
            <button type="button" class="btn btn-primary">Save changes</button>
          </div>
        
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbModalRef } from 'mdb-angular-ui-kit/modal';

            @Component({
              selector: 'app-modal',
              templateUrl: './modal.component.html',
            })
            export class ModalComponent {
              constructor(public modalRef: MdbModalRef<ModalComponent>) {}
            }
        
        
    

2. Inject MdbModalService to the component from which you want to open the modal and use the open method.

        
            
          <button class="btn btn-primary" (click)="openModal()">Open modal</button>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { ModalComponent } from 'your-path-to-modal-component';
          import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent {
            modalRef: MdbModalRef<ModalComponent> | null = null;

            constructor(private modalService: MdbModalService) {}

            openModal() {
              this.modalRef = this.modalService.open(ModalComponent)
            }

          }
        
        
    

Inject and receive data

You can inject data to the modal by passing it to the data parameter in the modal options.

        
            
          <button class="btn btn-primary" (click)="openModal()">Open modal</button>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { ModalComponent } from 'your-path-to-modal-component';
          import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent {
            modalRef: MdbModalRef<ModalComponent> | null = null;

            constructor(private modalService: MdbModalService) {}

            openModal() {
              this.modalRef = this.modalService.open(ModalComponent, {
                data: { title: 'Custom title' },
              });
            }
          }
        
        
    

Here is an example showing how to use injected data in the modal component:

        
            
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">{{ title }}</h5>
            <button
              type="button"
              class="btn-close"
              aria-label="Close"
              (click)="modalRef.close()"
            ></button>
          </div>
          <div class="modal-body">...</div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" (click)="modalRef.close()">
              Close
            </button>
            <button type="button" class="btn btn-primary">Save changes</button>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbModalRef } from 'mdb-angular-ui-kit/modal';

          @Component(
            { selector: 'app-modal',
            templateUrl: './modal.component.html',
          })
          export class ModalComponent {
            title: string | null = null;

            constructor(public modalRef: MdbModalRef<ModalComponent>) {}
          }
        
        
    

Receive data from the modal

You can receive data from the modal to use it in other components:

        
            
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
              <button type="button" class="btn-close" aria-label="Close" (click)="close()"></button>
            </div>
            <div class="modal-body">...</div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" (click)="close()">
                Close
              </button>
              <button type="button" class="btn btn-primary">Save changes</button>
            </div>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbModalRef } from 'mdb-angular-ui-kit/modal';

          @Component(
            { selector: 'app-modal',
            templateUrl: './modal.component.html',
          })
          export class ModalComponent {
            constructor(public modalRef: MdbModalRef<ModalComponent>) {}

            close(): void {
              const closeMessage = 'Modal closed';
              this.modalRef.close(closeMessage)
            }
          }
        
        
    

Here is an example showing how to use data received from modal in other components

        
            
          <button class="btn btn-primary" (click)="openModal()">Open modal</button>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { ModalComponent } from 'your-path-to-modal-component';
          import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

          @Component(
            { selector: 'create-dynamic-modal',
            templateUrl: './create-dynamic-modal.component.html',
          })
          export class AppComponent {
            modalRef: MdbModalRef<ModalComponent> | null = null;

            constructor(private modalService: MdbModalService) {}

            openModal() {
              this.modalRef = this.modalService.open(ModalComponent);
              this.modalRef.onClose.subscribe((message: any) => {
                console.log(message);
              });
            }
          }
        
        
    

Advanced examples

Click the buttons to launch the modals.

Frame modal

MDB graphics

Position


Side modal

MDB graphics

Position




Central modal

MDB graphics

Size






How it works

Before getting started with MDB modal component, be sure to read the following as our menu options have recently changed.

  • Modals are built with HTML, CSS, and JavaScript. They’re positioned over everything else in the document and remove scroll from the <body> so that modal content scrolls instead.
  • Clicking on the modal “backdrop” will automatically close the modal.
  • Bootstrap only supports one modal window at a time. Nested modals aren’t supported as we believe them to be poor user experiences.

Position

To change the position of the modal add one of the following classes to the modalClass option.

Top right: .modal-side + .modal-top-right

Top left: .modal-side + .modal-top-left

Bottom right: .modal-side + .modal-bottom-right

Bottom left: .modal-side + .modal-bottom-right

Note: If you want to change the direction of modal animation, add the class .top, .right, bottom or .left to the containerClass option.

        
            
              <button class="btn btn-primary" (click)="openModal()">Open modal</button>
            
        
    
        
            
              import { Component } from '@angular/core';
              import { ModalComponent } from 'your-path-to-modal-component';
              import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
                styleUrls: ['./app.component.scss'],
              })
              export class AppComponent {
                modalRef: MdbModalRef<ModalComponent> | null = null;

                constructor(private modalService: MdbModalService) {}

                openModal() {
                  this.modalRef = this.modalService.open(ModalComponent, {
                    containerClass: 'right',
                    modalClass: 'modal-side modal-top-right'
                  })
                }
              }
            
        
    

Frame

To make the modal "frame-like" add .frame class and .top or .bottom class to containerClass option. Add .modal-frame class and .modal-top or .modal-bottom class to modalClass option.

        
            
              <button class="btn btn-primary" (click)="openModal()">Open modal</button>
            
        
    
        
            
              import { Component } from '@angular/core';
              import { ModalComponent } from 'your-path-to-modal-component';
              import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
                styleUrls: ['./app.component.scss'],
              })
              export class AppComponent {
                modalRef: MdbModalRef<ModalComponent> | null = null;

                constructor(private modalService: MdbModalService) {}

                openModal() {
                  this.modalRef = this.modalService.open(ModalComponent, {
                    containerClass: 'frame top',
                    modalClass: 'modal-frame modal-top'
                  })
                }
              }
            
        
    

Scrolling long content

When modals become too long for the user’s viewport or device, they scroll independent of the page itself. Try the demo below to see what we mean.

You can also create a scrollable modal that allows scroll the modal body by adding .modal-dialog-scrollable to modalClass option.

        
            
            <button class="btn btn-primary" (click)="openModal()">Open modal</button>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { ModalComponent } from 'your-path-to-modal-component';
            import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              import { Component } from '@angular/core';
              import { ModalComponent } from 'your-path-to-modal-component';
              import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
                styleUrls: ['./app.component.scss'],
              })
              export class AppComponent {
                modalRef: MdbModalRef<ModalComponent> | null = null;

                constructor(private modalService: MdbModalService) {}

                openModal() {
                  this.modalRef = this.modalService.open(ModalComponent, {
                    modalClass: 'modal-dialog-scrollable'
                  })
                }
              }
          
        
    

Vertically centered

Add .modal-dialog-centered to modalClass option to vertically center the modal.

        
            
            <button class="btn btn-primary" (click)="openModal()">Open modal</button>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { ModalComponent } from 'your-path-to-modal-component';
            import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              import { Component } from '@angular/core';
              import { ModalComponent } from 'your-path-to-modal-component';
              import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
                styleUrls: ['./app.component.scss'],
              })
              export class AppComponent {
                modalRef: MdbModalRef<ModalComponent> | null = null;

                constructor(private modalService: MdbModalService) {}

                openModal() {
                  this.modalRef = this.modalService.open(ModalComponent, {
                    modalClass: 'modal-dialog-centered'
                  })
                }
              }
          
        
    

Tooltips and popovers

Tooltips and popovers can be placed within modals as needed. When modals are closed, any tooltips and popovers within are also automatically dismissed.

        
            
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalPopoversLabel">Modal title</h5>
            <button
              type="button"
              class="btn-close"
              (click)="modalRef.close()"
              aria-label="Close"
            ></button>
          </div>
          <div class="modal-body">
            <h5>Popover in a modal</h5>
            <p>
              This
              <a
                role="button"
                class="btn btn-secondary popover-test"
                mdbPopover="Popover body content is set in this attribute."
                mdbPopoverTitle="Popover title"
                >button</a
              >
              triggers a popover on click.
            </p>
            <hr />
            <h5>Tooltips in a modal</h5>
            <p>
              <a href="#!" class="tooltip-test" mdbTooltip="Tooltip">This link</a>
              and
              <a href="#!" class="tooltip-test" mdbTooltip="Tooltip">that link</a>
              have tooltips on hover.
            </p>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" (click)="modalRef.close()">
              Close
            </button>
            <button type="button" class="btn btn-primary">Save changes</button>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { ModalComponent } from 'your-path-to-modal-component';
          import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent {
            import { Component } from '@angular/core';
            import { MdbModalRef } from 'mdb-angular-ui-kit/modal';

            @Component({
              selector: 'app-modal',
              templateUrl: './modal.component.html',
            })
            export class ModalComponent {

              constructor(public modalRef: MdbModalRef<ModalComponent>) {}

            }
        
        
    

Using the grid

Utilize the Bootstrap grid system within a modal by nesting .container-fluid within the .modal-body. Then, use the normal grid system classes as you would anywhere else.

        
            
          <div class="modal-header">
            <h5 class="modal-title" id="gridModalLabel">Grids in modals</h5>
            <button
              type="button"
              class="btn-close"
              (click)="modalRef.close()"
              aria-label="Close"
            ></button>
          </div>
          <div class="modal-body">
            <div class="container-fluid bd-example-row">
              <div class="row">
                <div class="col-md-4 col-example">.col-md-4</div>
                <div class="col-md-4 ms-auto col-example">.col-md-4 .ms-auto</div>
              </div>
              <div class="row">
                <div class="col-md-3 ms-auto col-example">.col-md-3 .ms-auto</div>
                <div class="col-md-2 ms-auto col-example">.col-md-2 .ms-auto</div>
              </div>
              <div class="row">
                <div class="col-md-6 ms-auto col-example">.col-md-6 .ms-auto</div>
              </div>
              <div class="row">
                <div class="col-sm-9 col-example">
                  Level 1: .col-sm-9
                  <div class="row">
                    <div class="col-8 col-sm-6 col-example">Level 2: .col-8 .col-sm-6</div>
                    <div class="col-4 col-sm-6 col-example">Level 2: .col-4 .col-sm-6</div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" (click)="modalRef.close()">
              Close
            </button>
            <button type="button" class="btn btn-primary">Save changes</button>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { ModalComponent } from 'your-path-to-modal-component';
          import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent {
            import { Component } from '@angular/core';
            import { MdbModalRef } from 'mdb-angular-ui-kit/modal';

            @Component({
              selector: 'app-modal',
              templateUrl: './modal.component.html',
            })
            export class ModalComponent {

              constructor(public modalRef: MdbModalRef<ModalComponent>) {}

            }
        
        
    

Change animation

The $modal-fade-transform variable determines the transform state of .modal-dialog before the modal fade-in animation, the $modal-show-transform variable determines the transform of .modal-dialog at the end of the modal fade-in animation.

If you want for example a zoom-in animation, you can set $modal-fade-transform: scale(.8).


Remove animation

For modals that simply appear rather than fade into view, set the animation option to false.

        
            
          <button class="btn btn-primary" (click)="openModal()">Open modal</button>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { ModalComponent } from 'your-path-to-modal-component';
          import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent {
            modalRef: MdbModalRef<ModalComponent> | null = null;

            constructor(private modalService: MdbModalService) {}

            openModal() {
              this.modalRef = this.modalService.open(ModalComponent, {
                animation: false
              })
            }
          }
        
        
    

Optional sizes

Modals have three optional sizes, available via modifier classes that needs to be added to modalClass option. These sizes kick in at certain breakpoints to avoid horizontal scrollbars on narrower viewports.

Size Class Modal max-width
Small .modal-sm 300px
Default None 500px
Large .modal-lg 800px
Extra large .modal-xl 1140px
        
            
          <button class="btn btn-primary" (click)="openModal()">Open modal</button>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { ModalComponent } from 'your-path-to-modal-component';
          import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent {
            modalRef: MdbModalRef<ModalComponent> | null = null;

            constructor(private modalService: MdbModalService) {}

            openModal() {
              this.modalRef = this.modalService.open(ModalComponent, {
                modalClass: 'modal-xl'
              })
            }
          }
        
        
    

Fullscreen Modal

Another override is the option to pop up a modal that covers the user viewport, available via modifier classes that are passed to the modalClass option.

Class Availability
.modal-fullscreen Always
.modal-fullscreen-sm-down Below 576px
.modal-fullscreen-md-down Below 768px
.modal-fullscreen-lg-down Below 992px
.modal-fullscreen-xl-down Below 1200px
.modal-fullscreen-xxl-down Below 1400px
        
            
          <button class="btn btn-primary" (click)="openModal()">Open modal</button>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { ModalComponent } from 'your-path-to-modal-component';
          import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent {
            modalRef: MdbModalRef<ModalComponent> | null = null;

            constructor(private modalService: MdbModalService) {}

            openModal() {
              this.modalRef = this.modalService.open(ModalComponent, {
                modalClass: 'modal-fullscreen'
              })
            }
          }
        
        
    

Non-invasive Modal

This type of modal does not block any interaction on the page. Simply add nonInvasive option.

        
            
        <button class="btn btn-primary" (click)="openModal()">Open modal</button>
        
        
    
        
            
        import { Component } from '@angular/core';
        import { ModalComponent } from 'your-path-to-modal-component';
        import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';
        
        @Component({
          selector: 'app-root',
          templateUrl: './app.component.html',
          styleUrls: ['./app.component.scss'],
        })
        export class AppComponent {
          modalRef: MdbModalRef<ModalComponent> | null = null;
        
          constructor(private modalService: MdbModalService) {}
        
          openModal() {
            this.modalRef = this.modalService.open(ModalComponent, {
              data: {
                title: 'Modal title',
              },
              nonInvasive: true,
            })
          }
        }
        
        
    

PAY ONCE

USE FOREVER

Hurry up ⌛ claim exclusive long term passes available only during Cyber Weeks

Modal - API


Import

        
            
          import { MdbModalModule } from 'mdb-angular-ui-kit/modal';
          …
          @NgModule ({
            ...
            imports: [MdbModalModule],
            ...
          })
        
        
    

Options

Options can be passed to the open method of MdbModalService.

Name Type Default Description
animation boolean true Turns modal animation on/off.
backdrop boolean true Includes a modal-backdrop element.
containerClass string '' Adds new class to modal container.
data any {} Passes data to a modal component.
ignoreBackdropClick boolean false Specifies whether to close modal on backdrop click.
keyboard boolean true Closes the modal when escape key is pressed.
modalClass string '' Adds new class to element with .modal-dialog class.
nonInvasive boolean false Turns modal into non-invasive one.
        
            
            <button class="btn btn-primary" (click)="openModal()">Open modal</button>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { ModalComponent } from 'your-path-to-modal-component';
            import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

            @Component(
              { selector: 'create-dynamic-modal',
              templateUrl: './create-dynamic-modal.component.html',
            })
            export class AppComponent {
              modalRef: MdbModalRef<ModalComponent> | null = null;

              config = {
                animation: true,
                backdrop: true,
                containerClass: 'right',
                data: {
                  title: 'Custom title'
                },
                ignoreBackdropClick: false,
                keyboard: true,
                modalClass: 'modal-top-right',
                nonInvasive: true,
              }

              constructor(private modalService: MdbModalService) {}

              openModal() {
                this.modalRef = this.modalService.open(ModalComponent, this.config);
              }
            }
          
        
    

Methods

MdbModalService

Method Description
open(componentType, config?: MdbModalConfig<D>) Opens modal.
        
            
            <button class="btn btn-primary" (click)="openModal()">Open modal</button>
            <button class="btn btn-primary" (click)="openFrameBottomModal()">Open bottom frame</button>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { ModalComponent } from 'your-path-to-modal-component';
            import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

            @Component(
              { selector: 'create-dynamic-modal',
              templateUrl: './create-dynamic-modal.component.html',
            })
            export class AppComponent {
              modalRef: MdbModalRef<ModalComponent> | null = null;

              bottomFrame = {
                containerClass: 'frame bottom',
                modalClass: 'modal-frame modal-bottom',
              };

              constructor(private modalService: MdbModalService) {}

              openModal() {
                this.modalRef = this.modalService.open(ModalComponent);
              }

              openFrameBottomModal(): void {
                this.modalRef = this.modalService.open(ModalComponent, this.bottomFrame);
              }
            }
          
        
    

MdbModalRef

Method Description
onClose: Observable<any> Returns observable on modal close.
        
            
          <button class="btn btn-primary" (click)="openModal()">Open modal</button>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { ModalComponent } from 'your-path-to-modal-component';
          import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

          @Component(
            { selector: 'create-dynamic-modal',
            templateUrl: './create-dynamic-modal.component.html',
          })
          export class AppComponent {
            modalRef: MdbModalRef<ModalComponent> | null = null;

            constructor(private modalService: MdbModalService) {}

            openModal() {
              this.modalRef = this.modalService.open(ModalComponent);
              this.modalRef.onClose.subscribe((message: any) => {
                console.log(message);
              });
            }
          }
        
        
    

Advanced types

MdbModalConfig

Name Type Default Description
animation boolean | undefined true Defines whether modal should fade in or simply appear.
backdrop boolean | undefined true Defines whether backdrop should be rendered.
ignoreBackdropClick boolean | undefined false Defines whether modal should close on the backdrop click.
keyboard boolean | undefined true Defines whether modal should close on escape press.
modalClass string | undefined '' Enables the addition of custom classes to the modal.
containerClass string | undefined '' Enables the addition of custom classes to the container.
viewContainerRef string | undefined '' Defines parent container of the modal component.
data any | null null Allows passing data, such as a title.
nonInvasive boolean | undefined false Defines whether modal should block any interaction on the page.
focusElementSelector string | undefined '' Defines selector of the element that should be focused after the modal opens.

CSS variables

As part of MDB’s evolving CSS variables approach, modal now use local CSS variables on .modal for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

Modal's CSS variables are in different classes which belong to this component. To make it easier to use them, you can find below all of the used CSS variables.

        
            
        // Variables for modal free
        // .modal
        --#{$prefix}modal-zindex: #{$zindex-modal};
        --#{$prefix}modal-width: #{$modal-md};
        --#{$prefix}modal-padding: #{$modal-inner-padding};
        --#{$prefix}modal-margin: #{$modal-dialog-margin};
        --#{$prefix}modal-color: #{$modal-content-color};
        --#{$prefix}modal-bg: #{$modal-content-bg};
        --#{$prefix}modal-border-color: #{$modal-content-border-color};
        --#{$prefix}modal-border-width: #{$modal-content-border-width};
        --#{$prefix}modal-border-radius: #{$modal-content-border-radius};
        --#{$prefix}modal-box-shadow: #{$modal-content-box-shadow-xs};
        --#{$prefix}modal-inner-border-radius: #{$modal-content-inner-border-radius};
        --#{$prefix}modal-header-padding-x: #{$modal-header-padding-x};
        --#{$prefix}modal-header-padding-y: #{$modal-header-padding-y};
        --#{$prefix}modal-header-padding: #{$modal-header-padding}; // Todo in v6: Split this padding into x and y
        --#{$prefix}modal-header-border-color: #{$modal-header-border-color};
        --#{$prefix}modal-header-border-width: #{$modal-header-border-width};
        --#{$prefix}modal-title-line-height: #{$modal-title-line-height};
        --#{$prefix}modal-footer-gap: #{$modal-footer-margin-between};
        --#{$prefix}modal-footer-bg: #{$modal-footer-bg};
        --#{$prefix}modal-footer-border-color: #{$modal-footer-border-color};
        --#{$prefix}modal-footer-border-width: #{$modal-footer-border-width};

        // .modal-backdrop
        --#{$prefix}backdrop-zindex: #{$zindex-modal-backdrop};
        --#{$prefix}backdrop-bg: #{$modal-backdrop-bg};
        --#{$prefix}backdrop-opacity: #{$modal-backdrop-opacity};

        // .modal
        --#{$prefix}modal-margin: #{$modal-dialog-margin-y-sm-up};
        --#{$prefix}modal-box-shadow: #{$modal-content-box-shadow-sm-up};

        // .modal-sm
        --#{$prefix}modal-width: #{$modal-sm};

        // .modal-lg,
        // .modal-xl
        --#{$prefix}modal-width: #{$modal-lg};

        // .modal-xl
        --#{$prefix}modal-width: #{$modal-xl};

        // .modal-content
        --#{$prefix}modal-box-shadow: #{$modal-box-shadow};

        // Variables for modal pro
        // .modal
        --#{$prefix}modal-top-left-top: #{$modal-top-left-top};
        --#{$prefix}modal-top-left-left: #{$modal-top-left-left};
        --#{$prefix}modal-top-right-top: #{$modal-top-right-top};
        --#{$prefix}modal-top-right-right: #{$modal-top-right-right};
        --#{$prefix}modal-bottom-left-bottom: #{$modal-bottom-left-bottom};
        --#{$prefix}modal-bottom-left-left: #{$modal-bottom-left-left};
        --#{$prefix}modal-bottom-right-bottom: #{$modal-bottom-right-bottom};
        --#{$prefix}modal-bottom-right-right: #{$modal-bottom-right-right};
        --#{$prefix}modal-fade-top-transform: #{$modal-fade-top-transform};
        --#{$prefix}modal-fade-right-transform: #{$modal-fade-right-transform};
        --#{$prefix}modal-fade-bottom-transform: #{$modal-fade-bottom-transform};
        --#{$prefix}modal-fade-left-transform: #{$modal-fade-left-transform};
        --#{$prefix}modal-side-right: #{$modal-side-right};
        --#{$prefix}modal-side-bottom: #{$modal-side-bottom};
        --#{$prefix}modal-non-invasive-box-shadow: #{$modal-non-invasive-box-shadow};
        --#{$prefix}modal-non-invasive-box-shadow-top: #{$modal-non-invasive-box-shadow-top};
        
        
    

SCSS variables

        
            
        // Variables for modal free
        $modal-inner-padding: $spacer;

        $modal-footer-margin-between: 0.5rem;

        $modal-dialog-margin: 0.5rem;
        $modal-dialog-margin-y-sm-up: 1.75rem;

        $modal-title-line-height: $line-height-base;

        $modal-content-color: null;
        $modal-content-bg: $white;
        $modal-content-border-color: var(--#{$prefix}border-color-translucent);
        $modal-content-border-width: $border-width;
        $modal-content-inner-border-radius: subtract(
          $modal-content-border-radius,
          $modal-content-border-width
        );
        $modal-content-box-shadow-xs: $box-shadow-sm;
        $modal-content-box-shadow-sm-up: $box-shadow;

        $modal-backdrop-bg: $black;
        $modal-backdrop-opacity: 0.5;

        $modal-header-padding-y: $modal-inner-padding;
        $modal-header-padding-x: $modal-inner-padding;
        $modal-header-padding: $modal-header-padding-y $modal-header-padding-x; // Keep this for backwards compatibility

        $modal-footer-bg: null;

        $modal-sm: 300px;
        $modal-md: 500px;
        $modal-lg: 800px;
        $modal-xl: 1140px;

        $modal-fade-transform: translate(0, -50px);
        $modal-show-transform: none;
        $modal-transition: transform 0.3s ease-out;
        $modal-scale-transform: scale(1.02);

        $modal-box-shadow: $box-shadow-4;
        $modal-content-border-radius: $border-radius-lg;
        $modal-header-border-color: $border-color-alternate;
        $modal-footer-border-color: $border-color-alternate;
        $modal-header-border-width: $border-width-alternate;
        $modal-footer-border-width: $border-width-alternate;

        // Variables for modal pro
        $modal-top-left-top: 10px;
        $modal-top-left-left: 10px;
        $modal-top-right-top: 10px;
        $modal-top-right-right: 10px;
        $modal-bottom-left-bottom: 10px;
        $modal-bottom-left-left: 10px;
        $modal-bottom-right-bottom: 10px;
        $modal-bottom-right-right: 10px;
        $modal-fade-top-transform: translate3d(0, -25%, 0);
        $modal-fade-right-transform: translate3d(25%, 0, 0);
        $modal-fade-bottom-transform: translate3d(0, 25%, 0);
        $modal-fade-left-transform: translate3d(-25%, 0, 0);
        $modal-side-right: 10px;
        $modal-side-bottom: 10px;

        $modal-non-invasive-box-shadow: $box-shadow-3;
        $modal-non-invasive-box-shadow-top: $box-shadow-3-top;